Programming Interface Information: This information is NOT intended to be used as Programming Interfaces of z/VM.

#### PLSBK

Prolog

Control Block Contents
PLSBK DSECT

Storage Layout

Cross Reference (Contains links to field and bit definitions)

#### PLSBK Prolog

     NAME       : HCPPLSBK
     DESCRIPTION: PROCESSOR LOCAL STORAGE BLOCK
     DSECT      : PLSBK
     FUNCTION   : The PLSBK is a common area to hold data items.
                  It is divided into sections aligned on a
                  doubleword boundary. New fields may be added to
                  subsystem sections by moving corresponding
                  reserved space from the 'Unassigned Area' at
                  the bottom.
                  NOTES      : The control block reserved area value in
                  this COPY file should equal the value in
                  PLXCOPY version for this control block.
     LOCATED BY : PFXPLSBK
     CREATED BY : HCPMPS
     DELETED BY : HCPMPS

#### PLSBK Control Block Content

#### PLSBK DSECT

    Hex   Dec Type/Val   Lng Label (dup)    Comments
    ---- ---- --------- ---- -------------- --------
    0000    0 Structure      PLSBK          PROCESSOR LOCAL STORAGE BLOCK
                           ASM
                   Paging I/O Data Fields
    0000    0 Dbl-Word     8 * (0)          Align on doubleword boundary
    0000    0 Signed       4 PLSPIOPR       Count of paging READ requests
    0004    4 Signed       4 PLSPIOSR       Count of spooling READ requests
    0008    8 Signed       4 PLSPIOPW       Count of paging WRITE requests
    000C   12 Signed       4 PLSPIOSW       Count of spooling WRITE requests
    0010   16 Signed       4 PLSPAGPS       Count of SSCH requests for paging
                                            and spooling requests
    0014   20 Signed       4 PLSCTMPN       Count of PAGINs executed when
                                            mig- rating pages from XSTORE to
                                            DASD
    0018   24 Signed       4 PLSCTPGN       Pagein rate between real storage
                                            and expanded storage.
    001C   28 Signed       4 PLSCTPGO       Pageout rate between real storage
                                            and expanded storage.
                           HSERV
    0020   32 Dbl-Word     8 * (0)          Align on doubleword boundary
    0020   32 Signed       4 PLSABNCT       COUNT OF SOFT ABENDS
    0024   36 Bitstring  108 PLSASRWK       HCPASR work area, 27 words
    0090  144 Signed       4 PLSXITCT       Number of times user exits are
                                            called.
    0094  148 Signed       4 *              Reserved for IBM use
                           RCPU
    0098  152 Dbl-Word     8 * (0)          Align on doubleword boundary
    0098  152 Signed       4 PLSDSPCW       ENTRIES TO WAIT STATE ON CPU
    009C  156 Signed       4 PLSEXTNX       EXTERNAL INTERRUPTS ON CPU
    00A0  160 Signed       4 PLSTRQPC       Productive CKC interrupts that
                                            resulted in the dequeue of
                                            expired TRQBKs.
    00A4  164 Signed       4 PLSEXTNC       SIGP EXTERNAL CALL INTERRUPTS ON
                                            CPU
    00A8  168 Signed       4 PLSMCHCT       PRIMARY MACHINE-CHECKS ON CPU
    00AC  172 Signed       4 PLSSVCCT       CP SVCS ON CPU
    00B0  176 Signed       4 PLSTRQCF       FALSE CLOCK COMPARATOR INTERRUPTS
                                            DUE CKC SET TO TRQBK ALREADY
                                            DEQUEUED ON ANOTHER CPU or CKC
                                            set to delay value because
                                            earliest TRQBK already committed.
    00B4  180 Signed       4 PLSDSPCN       WINDOWS TO WAIT FOR LOCK ON CPU
    00B8  184 Signed       4 PLSSCHLK       Address of the code that obtained
                                            a share of the scheduler lock
                                            held by this processor. Zero if
                                            this processor does not hold a
                                            share of the scheduler lock.
    00BC  188 Signed       4 PLSDSPCM       MASTER-ONLY FORCED SELECTS
    00C0  192 Signed       4 PLSDSWCU       USER WORK SELECT SLOW PATHS
    00C4  196 Signed       4 PLSPTLCS       COUNT OF CALLS ON A PROCESSOR TO
                                            PURGE THE TLB ON ALL PROCESSORS
    00C8  200 Signed       4 PLSPTLCL       COUT OF CALLS TO PURGE THE TLB ON
                                            LOCAL PROCESSOR
    00CC  204 Signed       4 PLSPTLCD       COUNT OF CALLS TO SET A PENDING
                                            HOST TLB FOR A USER
    00D0  208 Signed       4 PLSPTLCA       COUNT OF CALLS TO SET A PENDING
                                            HOST TLB FOR A USER (NOT THE
                                            CURRENT USER)
    00D4  212 Signed       4 PLSSTKCD       COUNT OF CALLS TO UPDATE USER
                                            SCHEDULING STATUS
    00D8  216 Signed       4 PLSSTKPE       ELAPSED TIME SLICE DROPS
    00DC  220 Signed       4 PLSSTKCI       IORBKS STACKED
    00E0  224 Signed       4 PLSSTKCC       CPEBKS STACKED
    00E4  228 Signed       4 PLSSTKCS       SPECIAL CPEBK CALLS
    00E8  232 Signed       4 PLSSTKCW       WORK BIT STACK CALLS
    00EC  236 Signed       4 PLSSTKGS       SIGPS TO DROP MP ADJUNCT
    00F0  240 Signed       4 PLSSTKCM       WAKEUP BY PROXY ON MASTER CPU
    00F4  244 Signed       4 PLSSTKCJ       COUNT OF DORMAN ADDS AFTER HOT
                                            SHOT
    00F8  248 Signed       4 PLSSTKCH       COUNT OF ADDS FOR HOT SHOT
    00FC  252 Signed       4 PLSSTLCT (64)  COUNT OF USERS 'STOLEN' FROM
                                            ANOTHER PLDV. This field was
                                            formerly known as PLSSTLNU.
    01FC  508 Signed       2 * (3)          RESERVED FOR IBM USE
    0202  514 Signed       2 PLSCUHAF       COUNT OF USERS DISPATCHED WITH
                                            HARD AFFINITY (DEDICATED)
              FOLLOWING ARE VARIOUS EVENT COUNTERS FOR MONITOR
              00000002       PLSETBEL       2 SIZE OF EVENT TABLE ENTRIES -
                                            THESE ARE HALFWORDS
              00000000       PLSEVNT1       0 INDEX TO THE E-1 CLASS ENTRIES
              00000002       PLSEVNT2       1*PLSETBEL INDEX TO THE E-2 CLASS
                                            ENTRIES
              00000004       PLSEVNT3       2*PLSETBEL INDEX TO THE E-3 CLASS
                                            ENTRIES
                                      NUMBER OF TIMES A USER WAS
                                      'FORCED' INTO THE DISPATCH
                                      LIST BECAUSE IT WAS BEHIND
                                      SCHEDULE, EVEN THOUGH IT WOULD
                                      NOT FIT.
    0204  516 Signed       2 PLSEFRC1       - E1
    0206  518 Signed       2 PLSEFRC2       - E2
    0208  520 Signed       2 PLSEFRC3       - E3
    020A  522 Signed       2 PLSEQKAD       QUICKDSP USER ADDED COUNT
    020C  524 Signed       4 *              RESERVED FOR IBM USE
    0210  528 Dbl-Word     8 PLSLKDLY       Cumulative delays attributable to
                                            waits for defer locks managed by
                                            HCPLOC and HCPLCK. Units are
                                            microseconds (SLDL 12 to get
                                            TOD).
    0218  536 Dbl-Word     8 PLSLKDIO       Cumulative delays attributable to
                                            waits for defer locks managed by
                                            HCPIOL. Units are microseconds
                                            (SLDL 12 to get TOD).
    0220  544 Signed       4 PLSLKMAX       Maximum time that this CPU ever
                                            saw any task hold a lock while
                                            someone else was waiting to get
                                            it. (For locks managed by HCPLOC
                                            or HCPLCK.) Units are TOD format
                                            with bits 32-63 discarded.
    0224  548 Address      4 PLSLKVMD       Address of the VMDBK that caused
                                            PLSLKMAX to be set.
    0228  552 Character    6 PLSLKMOD       Name of module manipulating
                                            (releasing) the lock that caused
                                            PLSLKMAX to be set.
    022E  558 Signed       2 PLSLKOFS       Offset to the "guilty" CALL in
                                            the module named by PLSLKMOD.
                           RSM
    0230  560 Dbl-Word     8 * (0)          Align on doubleword boundary
                 PAGE I/O PROCESSING
    0230  560 Signed       4 PLSPGDRD       Number of page table translations
                                            that resulted in a page read from
                                            auxilary storage (DASD).
    0234  564 Signed       4 PLSPGDWT       Number of page tables paged to
                                            auxilary storage (DASD).
    0238  568 Signed       4 PLSSTLWT       COUNT OF FRAME REPLACEMENT PAGE
                                            I/O WRITE REQUESTS
    023C  572 Signed       4 *
                 AVAILABLE LIST PROCESSING
    0240  576 Signed       4 PLSALNCT       count of times a new frame was
                                            needed from <2G available list
    0244  580 Signed       4 PLSALEMP       count of times <2G available
                                            list was empty
    0248  584 Signed       4 PLSRETFR       Count of frames returned to the
                                            <2G available List
    024C  588 Signed       4 PLSALNCG       count of times a new frame was
                                            needed from >2G available list
    0250  592 Signed       4 PLSALEMG       count of times >2G available
                                            list was empty
    0254  596 Signed       4 PLSRETFG       Count of frames returned to the
                                            >2G available List
    0258  600 Signed       4 PLSASFCL       count of times single frame taken
                                            from <2G contig frame avail
                                            list
    025C  604 Signed       4 PLSASFCG       count of times single frame taken
                                            from >2G contig frame avail
                                            list
                 AVAILABLE LIST REPLENISHMENT
    0260  608 Dbl-Word     8 PLSBGCTM       Amount of time spent performing
                                            background replenishment of the
                                            Cleared Global Available List
    0268  616 Signed       4 PLSBGCNT       Number of times background
                                            replenishment of the Cleared
                                            Global Available List has run
    026C  620 Signed       4 PLSGCLEM       Number of times replenishment of
                                            the Local Cleared Available List
                                            on this processor saw the Global
                                            Cleared Available List Empty
    0270  624 Dbl-Word     8 PLSFGCTM       Amount of time spent performing
                                            foreground replenishment of the
                                            Cleared Global Available List
    0278  632 Signed       4 PLSFGCNT       Number of times foreground
                                            replenishment of the Cleared
                                            Global Available List has run
    027C  636 Signed       4 PLSLTD1        Number of times demand scan
                                            completed after pass 1 while
                                            scanning long term dormant users
    0280  640 Signed       4 PLSLTD2        Number of times demand scan
                                            completed after pass 2 while
                                            scanning long term dormant users
    0284  644 Signed       4 PLSREORD       Number of virtual system or
                                            shared frame list reorders.
    0288  648 Signed       4 PLSPPGM1       Count of times the demand scan
                                            completed after the first pass of
                                            pageable PGMBKs
    028C  652 Signed       4 PLSPPGM2       Count of times the demand scan
                                            completed after the second pass
                                            of pageable PGMBKs
    0290  656 Signed       4 PLSPPGME       Count of times the demand scan
                                            completed after the emergency
                                            pass of pageable PGMBKs
    0294  660 Signed       4 PLSDORM1       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER THE FIRST PASS OF
                                            THE DORMANT LIST
    0298  664 Signed       4 PLSUPREC       Count of CMM2 User state Unused
                                            pages reclaimed by reorder
    029C  668 Signed       4 PLSSHAR1       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER THE FIRST SCAN OF
                                            SHARED STORAGE
    02A0  672 Signed       4 PLSELIG1       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER THE FIRST SCAN OF
                                            THE ELIGIBLE LIST
    02A4  676 Signed       4 PLSDISP1       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER THE FIRST SCAN OF
                                            THE DISPATCH LIST
    02A8  680 Signed       4 PLSDORM2       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER THE SECOND PASS
                                            OF THE DORMANT LIST
    02AC  684 Signed       4 PLSELIG2       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER THE SECOND SCAN
                                            OF THE ELIGIBLE LIST
    02B0  688 Signed       4 PLSDISP2       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER THE SECOND SCAN
                                            OF THE DISPATCH LIST
    02B4  692 Signed       4 PLSSHARE       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER EMERGENCY SCAN OF
                                            SHARED STORAGE
    02B8  696 Signed       4 PLSDORME       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER EMERGENCY PASS OF
                                            THE DORMANT LIST
    02BC  700 Signed       4 PLSELIGE       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER EMERGENCY SCAN OF
                                            THE ELIGIBLE LIST
    02C0  704 Signed       4 *              Reserved for IBM use
    02C4  708 Signed       4 PLSDISPE       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED AFTER EMERGENCY SCAN OF
                                            THE DISPATCH LIST
    02C8  712 Signed       4 PLSNOCMP       COUNT OF TIMES THE DEMAND SCAN
                                            COMPLETED WITHOUT SATISFYING THE
                                            DEMAND FOR FRAMES
                 COUNTS OF FRAMES TAKEN FROM USERS.
                 THIS IS TRACKED WITH THE FOLLOWING MATRIX:
                                            EMERGENCY
              PASS ->     PASS 1    PASS 2    PASS
           SCAN:        ------------------------------
                        |        |         |         |
          LONG TERM     |  ALL   |  ALL    |    0    |
          DORMANT       |        |         |         |
                        ------------------------------
                        |        |         |         |
          OTHER DOR-    |  UR    |  REF    |  RESV   |
          MANT USERS    |        |         |         |
                        ------------------------------
                        |        |         |         |
          ELIGIBLE      |  UR    |  REF    |  RESV   |
          LIST USERS    |        |         |         |
                        ------------------------------
                        |        |         |         |
          DISPATCH      |  UR    |  REF    |  RESV   |
          LIST USERS    |        |         |         |
                        ------------------------------
                        |        |         |         |
          SHARED        |  UR    |    0    |  REF    |
          STORAGE       |        |         |         |
                        ------------------------------
            ALL = ALL FRAMES ARE TAKEN DURING THIS SCAN/PASS
                  COMBINATION
            UR  = UNREFERENCED FRAMES ARE TAKEN DURING THIS SCAN/PASS
                  COMBINATION
            REF = REFERENCED FRAMES ARE TAKEN DURING THIS SCAN/PASS
                  COMBINATION
            RESV= RESERVED FRAMES ARE TAKEN DURING THIS SCAN/PASS
                  COMBINATION
            0   = NO FRAMES ARE TAKEN FOR THIS SCAN/PASS COMBINATION.
                  IT IS MERELY A PLACE HOLDER FOR EASIER INDEXING INTO
                  THE ENTIRE ARRAY.
    02CC  716 Signed       4 PLSPASS1 (0)
    02CC  716 Signed       4 PLSLTDP1       LONG TERM DORMANT PASS 1
    02D0  720 Signed       4 PLSDRMP1       DORMANT PASS 1
    02D4  724 Signed       4 PLSELGP1       ELIGIBLE LIST PASS 1
    02D8  728 Signed       4 PLSDSPP1       DISPATCH LIST PASS 1
    02DC  732 Signed       4 PLSSHRP1       SHARED STORAGE PASS 1
    02E0  736 Signed       4 *              Reserved for IBM use
              00000018       PLSP1END       *-PLSPASS1 End of Pass 1
                                            accumulators
    02E4  740 Signed       4 PLSPASS2 (0)
    02E4  740 Signed       4 PLSLTDP2       LONG TERM DORMANT PASS 2
    02E8  744 Signed       4 PLSDRMP2       DORMANT PASS 2
    02EC  748 Signed       4 PLSELGP2       ELIGIBLE LIST PASS 2
    02F0  752 Signed       4 PLSDSPP2       DISPATCH LIST PASS 2
    02F4  756 Signed       4 PLSSHRP2       SHARED STORAGE PASS 2
    02F8  760 Signed       4 *              Reserved for IBM use
              00000018       PLSP2END       *-PLSPASS2 End of Pass 2
                                            accumulators
    02FC  764 Signed       4 PLSPASSE (0)
    02FC  764 Signed       4 PLSLTDPE       LONG TERM DORMANT EMERGENCY PASS
    0300  768 Signed       4 PLSDRMPE       DORMANT EMERGENCY PASS
    0304  772 Signed       4 PLSELGPE       ELIGIBLE LIST EMERGENCY PASS
    0308  776 Signed       4 PLSDSPPE       DISPATCH LIST EMERGENCY PASS
    030C  780 Signed       4 PLSSHRPE       SHARED STORAGE EMERGENCY PASS
    0310  784 Signed       4 *              Reserved for IBM use
              00000018       PLSPEEND       *-PLSPASSE End of Emergency Pass
                                            accumulators
    0314  788 Signed       4 PLSFOBEM       Unsigned count of times the FOB
                                            list for this processor was empty
                                            when a FOB was requested since
                                            the list was last trimmed
    0318  792 Signed       8 PLSFOBTM       Timestamp of when the FOB list
                                            for this processor was last
                                            trimmed
    0320  800 Signed       4 PLSUPAGE       Number of Unused pages stolen
    0324  804 Signed       4 PLSVPAGE       Number of Volatile pages stolen
    0328  808 Signed       4 PLSPCPAG       Number of potentially volatile
                                            changed pages stolen
                 FREE STORAGE PROCESSING
    032C  812 Signed       4 PLSSTLFR       COUNT OF FRAMES TAKEN FOR FREE
                                            STORAGE AND SAVE AREA BY THE
                                            FRAME TABLE SCAN
    0330  816 Signed       4 PLSFSPGA       Count of free storage page
                                            requests backed Any
    0334  820 Signed       4 PLSFSPGB       Count of free storage page
                                            requests backed below 2G
    0338  824 Signed       4 PLSFSCTA       Count of free storage obtains
                                            backed above 2G (sysperm,
                                            guestperm, and regular subpooled)
    033C  828 Signed       4 PLSFSCTB       Count of free storage obtains
                                            backed below 2G (sysperm,
                                            guestperm, and regular subpooled)
    0340  832 Signed       4 PLSFSSGA       Count of regular subpool free
                                            storage obtains backed above 2G
    0344  836 Signed       4 PLSFSSGB       Count of regular subpool free
                                            storage obtains backed below 2G
    0348  840 Signed       4 PLSFSSRA       Count of regular subpool free
                                            storage returns backed above 2G
    034C  844 Signed       4 PLSFSSRB       Count of regular subpool free
                                            storage returns backed below 2G
    0350  848 Signed       4 PLSFSPRA       Total returned free storage pages
                                            backed above 2G
    0354  852 Signed       4 PLSFSPRB       Total returned free storage pages
                                            backed below 2G
    0358  856 Signed       4 PLSFRETA       Count of free storage returns
                                            backed above 2G
    035C  860 Signed       4 PLSFRETB       Count of free storage returns
                                            backed below 2G
    0360  864 Signed       4 PLSPUPAG       Number of potentially volatile
                                            unchanged pages stolen
                 PAGE TRANSLATION PROCESSING
    0364  868 Signed       4 PLSPRQDF       TOTAL COUNT OF PAGE REQUESTS
                                            DEFERRED
    0368  872 Signed       4 PLSPNEW        Number of page translations for a
                                            first time referenced page.
                                            Updated using INTERLOCK due to
                                            PLP reach across case.
    036C  876 Signed       4 PLSPREAD       Number of page translations that
                                            resulted in a page read
    0370  880 Signed       4 PLSSHRRD       Total number of page reads and
                                            PAGINS for shared pages
                 STORAGE RELEASE PROCESSING
    0374  884 Signed       4 PLSRELES       Number of times any release
                                            function was performed. This
                                            includes releasing any range of
                                            virtual system pages as well as
                                            shared pages.
    0378  888 Signed       4 PLSRELFR       Number of frames that are
                                            returned by any release function.
                 Extended Paging Counters
    037C  892 Signed       4 PLSURFTF       Count of times guest faulted on a
                                            frame for 1st time but did not
                                            modify it.
    0380  896 Signed       4 PLSASARL       Count of ASA's released because
                                            that page is currently in main
                                            storage and has been changed
    0384  900 Signed       4 PLSPGIN        Count of longpath PGINS
    0388  904 Signed       4 PLSPGOUT       Count of longpath PGOUTS
    038C  908 Signed       4 PLSPGXRD       Number of page table translations
                                            that resulted in a page read from
                                            expanded storage.
    0390  912 Signed       4 PLSPGXWT       Number of page tables paged to
                                            expanded storage.
    0394  916 Signed       4 PLSPGMRX       Number of page table translations
                                            that resulted in a page read from
                                            expanded storage during expanded
                                            storage migration.
    0398  920 Signed       4 PLSPGMRD       Number of page table translations
                                            that resulted in a page read from
                                            auxilary storage (DASD) during
                                            expanded storage migration.
    039C  924 Signed       4 PLSMVB2G       Number of times a page was moved
                                            from a frame with address >=
                                            2G to one < 2G.
    03A0  928 Signed       4 PLSMVABV       Number of times a page with
                                            address < 2G was moved to a
                                            frame with address >= 2G.
    03A4  932 Signed       4 *              Reserved for IBM use
           System Execution Space Page Manager queue usage
    03A8  936 Signed       4 PLSSUTKC       Number of SXS pages taken from
                                            the unbacked available queue
    03AC  940 Signed       4 PLSSURTC       Number of SXS pages returned to
                                            the unbacked available queue
    03B0  944 Signed       4 PLSSUPUC       Number times unbacked available
                                            queue was preferred Q and used.
    03B4  948 Signed       4 PLSSUQMT       Number times unbacked available
                                            queue was empty but preferred Q.
    03B8  952 Signed       4 PLSSATKC       Number of SXS pages taken from
                                            the backed-above-2G available
                                            queue
    03BC  956 Signed       4 PLSSARTC       Number of SXS pages returned to
                                            the backed-above-2G available
                                            queue
    03C0  960 Signed       4 PLSSAPUC       Number times backed>2G
                                            available queue was preferred Q
                                            and used.
    03C4  964 Signed       4 PLSSAQMT       Number times backed>2G
                                            available queue was empty but
                                            preferred Q.
    03C8  968 Signed       4 PLSSBTKC       Number of SXS pages taken from
                                            the backed-below-2G available
                                            queue
    03CC  972 Signed       4 PLSSBRTC       Number of SXS pages returned to
                                            the backed-below-2G available
                                            queue
    03D0  976 Signed       4 PLSSBPUC       Number times backed<2G
                                            available queue was preferred Q
                                            and used.
    03D4  980 Signed       4 PLSSBQMT       Number times backed<2G
                                            available queue was empty but
                                            preferred Q.
    03D8  984 Signed       4 PLSSXALS       Number of times an SXS alias was
                                            stolen from the potentially
                                            stealable queue because the
                                            available page queues were empty
    03DC  988 Signed       4 PLSSXADC       Count of locked aliases dequeued
                                            while searching Potentially
                                            Stealable Queue for one to steal.
           SXS counts related to aliases & translation
    03E0  992 Signed       4 PLSSXACC       Count of create SXS alias
                                            requests (count of HCPSXACA/CD
                                            calls)
    03E4  996 Signed       4 PLSSXARC       Count of remove SXS alias
                                            requests (count of HCPSXARA/RE/RN
                                            calls) (doesn't include SXS page
                                            mgr steals)
    03E8 1000 Signed       4 PLSSXAQC       Count of Queue SXSTE requests to
                                            requeue aliases dequeued by SXSPM
                                            when locked during search for
                                            aliases to steal. HCPSXAQS calls.
    03EC 1004 Signed       4 PLSSXASC       Count of aliases stolen by SXS
                                            page manager
    03F0 1008 Signed       4 PLSSXAFC       Number of times a non-deferrable
                                            SXS alias request could not be
                                            fulfilled
    03F4 1012 Signed       4 PLSSXALD       Count of create alias requests
                                            that were deferred.
           System Execution Space Page Requests
    03F8 1016 Signed       4 PLSSPFSC       Number of HCPSXPFS calls.
    03FC 1020 Signed       4 PLSSPGFC       Number of free storage pages
                                            given out.
    0400 1024 Signed       4 PLSSPGPC       Number of single (non-contiguous)
                                            pages given out.
    0404 1028 Signed       4 PLSSPGCC       Number of contiguous SXS page
                                            requests for 2 or more pages.
    0408 1032 Signed       4 PLSSPGCT       Number of contiguous SXS pages
                                            given out for contiguous page
                                            requests of two or more pages.
    040C 1036 Signed       4 PLSSPRFC       Number of free storage pages
                                            returned.
    0410 1040 Signed       4 PLSSPRPC       Number of single (non-contiguous)
                                            pages returned.
    0414 1044 Signed       4 PLSSPRCC       Number of contiguous SXS page
                                            returns for 2 or more pages.
    0418 1048 Signed       4 PLSSPRCT       Number of contiguous SXS pages
                                            returned for contiguous page
                                            returns of 2 or more pages.
    041C 1052 Signed       4 PLSSPRQC       Number of returns of queues of
                                            pages. HCPSXPRQ calls.
    0420 1056 Signed       4 PLSSPRQT       Number of pages returned via
                                            queues. HCPSXPRQ calls.
    0424 1060 Signed       4 PLSSPNDP       Number of non-deferrable page
                                            requests that failed due to lack
                                            of a page. HCPSXPFS/NS/NM calls.
    0428 1064 Signed       4 PLSSPNDF       Number of non-deferrable page
                                            requests that failed due to lack
                                            of a frame. HCPSXPFS/NS/NM calls.
    042C 1068 Signed       4 PLSSPGPD       Number of times an SXS page
                                            request deferred waiting for a
                                            page. HCPSXPDF calls.
    0430 1072 Signed       4 PLSSPGFD       Number of times an SXS page
                                            request deferred waiting for ANY
                                            frame. HCPSXPDF calls.
    0434 1076 Signed       4 PLSSPGBD       Number of times an SXS page
                                            request deferred waiting for a
                                            frame<2G. HCPSXPDF calls.
           Miscellaneous SXS Fields.
    0438 1080 Signed       4 PLSSPDQC       Number of times HCPFRFDQ was
                                            called to ask free storage to
                                            release an SXS page.
    043C 1084 Signed       4 PLSSXIPC       Number of IPTE instructions
                                            executed to invalidate an SXS PTE
                                            (num of times a backing frame was
                                            removed from a page)
    0440 1088 Signed       4 PLSSXNST       Number of times RSASXNST was
                                            turned on, indicating only free
                                            storage requests are allowed to
                                            steal from the potentially
                                            stealable queue.
    0444 1092 Signed       4 PLSSXCSP       Number of CSP instructions used
                                            instead of IPTE when invalidating
                                            multiple PTEs.
    0448 1096 Signed       4 PLSSXREP       Number of times avail, unbacked
                                            queue replenishment was tried.
    044C 1100 Signed       4 *              Reserved for IBM use
                            CSERV
    -------------------------------------------------------------
           IUCV-System Services data transfer counters
           CP System Service entries in the PLSSRCSS, PLSTRCSS, and
           PLSUNCSS tables are indexed in the same corresponding order
           set by the CSERV subsystem:
                               1 = *MSGALL
                               2 = *MSG
                               3 = *BLOCKIO
                               4 = *RPI
                               5 = *MONITOR
                               6 = *SIGNAL
                               7 = *CCS
                               8 = *SPL
                               9 = *SYMPTOM
                              10 = *ACCOUNT
                              11 = *LOGREC
                              12 = *CRM
                              13 = *IDENT
                              14 = *CONFIG
                              15 = *VSWITCH
                              16 = *ASYNCMD
                              17 = *SCLP
                              18 = *VMEVENT
                              19 = Reserved for IBM use
                              20 = Reserved for IBM use
                              21 = Reserved for IBM use
           These entries must remain in that order and any addition
           or deletion to the tables MUST preserve the order in all
           three tables.  CSERV depends on the index numbers to
           manipulate the correct counters.
           NOTE: If entries change within the tables, HCPMNY shall
                 need to be recompiled.
                 If the position (offset) of any of the three tables
                 change, reassembly shall also be required for
                 HCPIVM and HCPVMC.
         -------------------------------------------------------------
    0450 1104 Dbl-Word     8 * (0)          Align on doubleword boundary
    0450 1104 Signed       4 PLSIUCVT       TOTAL COUNT OF IUCV FUNCTIONS
    0454 1108 Bitstring   80 PLSSRCSS (0)   Source CP System Service counters
           Counters within PLSSRCSS are number of successful IUCV
           data transfers BY
    0454 1108 Signed       4 PLSISEMA       CP SYSTEM SERVICE *MSGALL
    0458 1112 Signed       4 PLSISEM        CP SYSTEM SERVICE *MSG
    045C 1116 Signed       4 PLSISEBL       CP SYSTEM SERVICE *BLOCKIO
    0460 1120 Signed       4 PLSISERA       CP SYSTEM SERVICE *RPI
    0464 1124 Signed       4 PLSISEMO       CP SYSTEM SERVICE *MONITOR
    0468 1128 Signed       4 PLSISESI       CP SYSTEM SERVICE *SIGNAL
    046C 1132 Signed       4 PLSISECC       CP SYSTEM SERVICE *CCS
    0470 1136 Signed       4 PLSISESP       CP SYSTEM SERVICE *SPL
    0474 1140 Signed       4 PLSISESY       CP SYSTEM SERVICE *SYMPTOM
    0478 1144 Signed       4 PLSISEAC       CP SYSTEM SERVICE *ACCOUNT
    047C 1148 Signed       4 PLSISELO       CP SYSTEM SERVICE *LOGREC
    0480 1152 Signed       4 PLSISECR       CP System Service *CRM
    0484 1156 Signed       4 PLSISEID       CP System Service *IDENT
    0488 1160 Signed       4 PLSISECF       CP System Service *CONFIG
    048C 1164 Signed       4 PLSISEVS       CP System Service *VSWITCH
    0490 1168 Signed       4 PLSISEAS       CP System Service *ASYNCMD
    0494 1172 Signed       4 PLSISESC       CP System Service *SCLP
    0498 1176 Signed       4 PLSISEVE       CP System Service *VMEVENT
    049C 1180 Signed       4 * (3)          Reserved for IBM use
    04A8 1192 Bitstring   80 PLSTRCSS (0)   TARGET CP System Service counters
           Counters within PLSTRCSS are number of successful IUCV
           data transfers TO
    04A8 1192 Signed       4 PLSISTMA       CP SYSTEM SERVICE *MSGALL
    04AC 1196 Signed       4 PLSISTM        CP SYSTEM SERVICE *MSG
    04B0 1200 Signed       4 PLSISTBL       CP SYSTEM SERVICE *BLOCKIO
    04B4 1204 Signed       4 PLSISTRA       CP SYSTEM SERVICE *RPI
    04B8 1208 Signed       4 PLSISTMO       CP SYSTEM SERVICE *MONITOR
    04BC 1212 Signed       4 PLSISTSI       CP SYSTEM SERVICE *SIGNAL
    04C0 1216 Signed       4 PLSISTCC       CP SYSTEM SERVICE *CCS
    04C4 1220 Signed       4 PLSISTSP       CP SYSTEM SERVICE *SPL
    04C8 1224 Signed       4 PLSISTSY       CP SYSTEM SERVICE *SYMPTOM
    04CC 1228 Signed       4 PLSISTAC       CP SYSTEM SERVICE *ACCOUNT
    04D0 1232 Signed       4 PLSISTLO       CP SYSTEM SERVICE *LOGREC
    04D4 1236 Signed       4 PLSISTCR       CP System Service *CRM
    04D8 1240 Signed       4 PLSISTID       CP System Service *IDENT
    04DC 1244 Signed       4 PLSISTCF       CP System Service *CONFIG
    04E0 1248 Signed       4 PLSISTVS       CP System Service *VSWITCH
    04E4 1252 Signed       4 PLSISTAS       CP System Service *ASYNCMD
    04E8 1256 Signed       4 PLSISTSC       CP System Service *SCLP
    04EC 1260 Signed       4 PLSISTVE       CP System Service *VMEVENT
    04F0 1264 Signed       4 * (3)          Reserved for IBM use
    04FC 1276 Bitstring   80 PLSUNCSS (0)   Unsuccessful CP System Service
                                            counters
           Counters within PLSUNCSS are number of unsuccessful IUCV
           data transfers BY
    04FC 1276 Signed       4 PLSISUMA       CP SYSTEM SERVICE *MSGALL
    0500 1280 Signed       4 PLSISUM        CP SYSTEM SERVICE *MSG
    0504 1284 Signed       4 PLSISUBL       CP SYSTEM SERVICE *BLOCKIO
    0508 1288 Signed       4 PLSISURA       CP SYSTEM SERVICE *RPI
    050C 1292 Signed       4 PLSISUMO       CP SYSTEM SERVICE *MONITOR
    0510 1296 Signed       4 PLSISUSI       CP SYSTEM SERVICE *SIGNAL
    0514 1300 Signed       4 PLSISUCC       CP SYSTEM SERVICE *CCS
    0518 1304 Signed       4 PLSISUSP       CP SYSTEM SERVICE *SPL
    051C 1308 Signed       4 PLSISUSY       CP SYSTEM SERVICE *SYMPTOM
    0520 1312 Signed       4 PLSISUAC       CP SYSTEM SERVICE *ACCOUNT
    0524 1316 Signed       4 PLSISULO       CP SYSTEM SERVICE *LOGREC
    0528 1320 Signed       4 PLSISUCR       CP System Service *CRM
    052C 1324 Signed       4 PLSISUID       CP System Service *IDENT
    0530 1328 Signed       4 PLSISUCF       CP System Service *CONFIG
    0534 1332 Signed       4 PLSISUVS       CP System Service *VSWITCH
    0538 1336 Signed       4 PLSISUAS       CP System Service *ASYNCMD
    053C 1340 Signed       4 PLSISUSC       CP System Service *SCLP
    0540 1344 Signed       4 PLSISUVE       CP System Service *VMEVENT
    0544 1348 Signed       4 * (3)          Reserved for IBM use
          IUCV-Virtual Machine data transfer counters
    0550 1360 Signed       4 PLSISEVM       Number of times data was success-
                                            fully transferred by IUCV from a
                                            virtual machine
    0554 1364 Signed       4 PLSISTVM       Number of times data was success-
                                            fully transferred by IUCV to a
                                            virtual machine
    0558 1368 Signed       4 PLSISUVM       Number of times data was NOT
                                            successfully transferred by IUCV
                                            to a virtual machine
          VMCF-Virtual Machine data transfer counters
    055C 1372 Signed       4 PLSVSEVM       Number of times data was success-
                                            fully transferred by VMCF from a
                                            virtual machine
    0560 1376 Signed       4 PLSVSTVM       Number of times data was success-
                                            fully transferred by VMCF to a
                                            virtual machine
    0564 1380 Signed       4 PLSVSUVM       Number of times data was NOT
                                            successfully transferred by VMCF
                                            to a virtual machine
                            SIOM
    0568 1384 Dbl-Word     8 * (0)          Align on doubleword boundary
    0568 1384 Signed       4 PLSCTSS        COUNT OF REAL SSCHS EXECUTED
    056C 1388 Signed       4 PLSCTRS        COUNT OF REAL RSCHS EXECUTED
    0570 1392 Signed       4 PLSCTCS        COUNT OF REAL CSCHS EXECUTED
    0574 1396 Signed       4 PLSCTHS        COUNT OF REAL HSCHS EXECUTED
    0578 1400 Signed       4 PLSCTSI        I/O SOLICITED INTERRUPTS
    057C 1404 Signed       4 PLSCTUI        I/O UNSOLICITED INTERRUPTS
    0580 1408 Signed       4 PLSCPSUS       INVOCATIONS OF IORSUSNS EXIT
    0584 1412 Signed       4 PLSSSDSD       COUNT OF SSCH FOR GUEST DASD
                           VCTRL
    0588 1416 Dbl-Word     8 * (0)          Align on doubleword boundary
    0588 1416 Signed       4 PLSPCVSC       COUNT OF SERVC (B220) INSTR
    058C 1420 Signed       4 *              Reserved for IBM use
                           VIOS
    0590 1424 Dbl-Word     8 * (0)          Align on doubleword boundary
    0590 1424 Signed       4 PLSSSCHC       COUNT OF VIRTUAL SSCHS EXECUTED
    0594 1428 Signed       4 PLSRSCHC       COUNT OF VIRTUAL RSCHS EXECUTED
    0598 1432 Signed       4 PLSSIOCT       COUNT OF VIRTUAL SIOS EXECUTED
    059C 1436 Signed       4 PLSSIOFC       COUNT OF VIRTUAL SIOFS EXECUTED
    05A0 1440 Signed       4 PLSTCCC        COUNT OF VIRTUAL TEST CHANNELS
                                            AND CLEAR CHANNELS (TCCCS)
                                            EXECUTED
    05A4 1444 Signed       4 *              RESERVED FOR IBM USE TO VIRTUAL
                                            MACHINES
    05A8 1448 Signed       4 PLSIORCT       COUNT OF IORBKS PROCESSED
    05AC 1452 Signed       4 PLSVDISK       Count of Diag A4, Diag 250 and
                                            IUCV *BLOCKIOs to V-disk. Used to
                                            get Virtual I/O rate to real DASD
                                            devices for monitor
    05B0 1456 Signed       4 PLS250IR       Count of Diagnose 250
                                            instructions for
                                            initialize/remove. Used to get
                                            Virtual I/O rate to real DASD
                                            devices for monitor
    05B4 1460 Signed       4 PLSCCWLP       Count of longpath virtual I/Os to
                                            DASD. (Not handled by fastpath)
                                            Used to get Virtual I/O rate to
                                            real DASD devices for monitor
    05B8 1464 Signed       4 PLSVWRIT       Count of virtual write I/Os to
                                            DASD. (Not handled by fastpath)
                                            Used to get Virtual r/w ratio to
                                            real DASD devices for monitor
    05BC 1468 Signed       4 *              Reserved for IBM use
                           VSERV - part 1
    05C0 1472 Dbl-Word     8 * (0)          Align on doubleword boundary
    05C0 1472 Bitstring  256 PLSDIAG (0)    TABLE OF DIAGNOSE COUNTERS
                                            000-0FC
    05C0 1472 Signed       4 PLSDGX00       COUNT OF DIAGNOSE X'00'
    05C4 1476 Signed       4 PLSDGX04       COUNT OF DIAGNOSE X'04'
    05C8 1480 Signed       4 PLSDGX08       COUNT OF DIAGNOSE X'08'
    05CC 1484 Signed       4 PLSDGX0C       COUNT OF DIAGNOSE X'0C'
    05D0 1488 Signed       4 PLSDGX10       COUNT OF DIAGNOSE X'10'
    05D4 1492 Signed       4 PLSDGX14       COUNT OF DIAGNOSE X'14'
    05D8 1496 Signed       4 PLSDGX18       COUNT OF DIAGNOSE X'18'
    05DC 1500 Signed       4 PLSDGX1C       COUNT OF DIAGNOSE X'1C'
    05E0 1504 Signed       4 PLSDGX20       COUNT OF DIAGNOSE X'20'
    05E4 1508 Signed       4 PLSDGX24       COUNT OF DIAGNOSE X'24'
    05E8 1512 Signed       4 PLSDGX28       COUNT OF DIAGNOSE X'28'
    05EC 1516 Signed       4 PLSDGX2C       COUNT OF DIAGNOSE X'2C'
    05F0 1520 Signed       4 PLSDGX30       COUNT OF DIAGNOSE X'30'
    05F4 1524 Signed       4 PLSDGX34       COUNT OF DIAGNOSE X'34'
    05F8 1528 Signed       4 PLSDGX38       COUNT OF DIAGNOSE X'38'
    05FC 1532 Signed       4 PLSDGX3C       COUNT OF DIAGNOSE X'3C'
    0600 1536 Signed       4 PLSDGX40       COUNT OF DIAGNOSE X'40'
    0604 1540 Signed       4 PLSDGX44       COUNT OF DIAGNOSE X'44'
    0608 1544 Signed       4 PLSDGX48       COUNT OF DIAGNOSE X'48'
    060C 1548 Signed       4 PLSDGX4C       COUNT OF DIAGNOSE X'4C'
    0610 1552 Signed       4 PLSDGX50       COUNT OF DIAGNOSE X'50'
    0614 1556 Signed       4 PLSDGX54       COUNT OF DIAGNOSE X'54'
    0618 1560 Signed       4 PLSDGX58       COUNT OF DIAGNOSE X'58'
    061C 1564 Signed       4 PLSDGX5C       COUNT OF DIAGNOSE X'5C'
    0620 1568 Signed       4 PLSDGX60       COUNT OF DIAGNOSE X'60'
    0624 1572 Signed       4 PLSDGX64       COUNT OF DIAGNOSE X'64'
    0628 1576 Signed       4 PLSDGX68       COUNT OF DIAGNOSE X'68'
    062C 1580 Signed       4 PLSDGX6C       COUNT OF DIAGNOSE X'6C'
    0630 1584 Signed       4 PLSDGX70       COUNT OF DIAGNOSE X'70'
    0634 1588 Signed       4 PLSDGX74       COUNT OF DIAGNOSE X'74'
    0638 1592 Signed       4 PLSDGX78       COUNT OF DIAGNOSE X'78'
    063C 1596 Signed       4 PLSDGX7C       COUNT OF DIAGNOSE X'7C'
    0640 1600 Signed       4 PLSDGX80       COUNT OF DIAGNOSE X'80'
    0644 1604 Signed       4 PLSDGX84       COUNT OF DIAGNOSE X'84'
    0648 1608 Signed       4 PLSDGX88       COUNT OF DIAGNOSE X'88'
    064C 1612 Signed       4 PLSDGX8C       COUNT OF DIAGNOSE X'8C'
    0650 1616 Signed       4 PLSDGX90       COUNT OF DIAGNOSE X'90'
    0654 1620 Signed       4 PLSDGX94       COUNT OF DIAGNOSE X'94'
    0658 1624 Signed       4 PLSDGX98       COUNT OF DIAGNOSE X'98'
    065C 1628 Signed       4 PLSDGX9C       COUNT OF DIAGNOSE X'9C'
    0660 1632 Signed       4 PLSDGXA0       COUNT OF DIAGNOSE X'A0'
    0664 1636 Signed       4 PLSDGXA4       COUNT OF DIAGNOSE X'A4'
    0668 1640 Signed       4 PLSDGXA8       COUNT OF DIAGNOSE X'A8'
    066C 1644 Signed       4 PLSDGXAC       COUNT OF DIAGNOSE X'AC'
    0670 1648 Signed       4 PLSDGXB0       COUNT OF DIAGNOSE X'B0'
    0674 1652 Signed       4 PLSDGXB4       COUNT OF DIAGNOSE X'B4'
    0678 1656 Signed       4 PLSDGXB8       COUNT OF DIAGNOSE X'B8'
    067C 1660 Signed       4 PLSDGXBC       COUNT OF DIAGNOSE X'BC'
    0680 1664 Signed       4 PLSDGXC0       COUNT OF DIAGNOSE X'C0'
    0684 1668 Signed       4 PLSDGXC4       COUNT OF DIAGNOSE X'C4'
    0688 1672 Signed       4 PLSDGXC8       COUNT OF DIAGNOSE X'C8'
    068C 1676 Signed       4 PLSDGXCC       COUNT OF DIAGNOSE X'CC'
    0690 1680 Signed       4 PLSDGXD0       COUNT OF DIAGNOSE X'D0'
    0694 1684 Signed       4 PLSDGXD4       COUNT OF DIAGNOSE X'D4'
    0698 1688 Signed       4 PLSDGXD8       COUNT OF DIAGNOSE X'D8'
    069C 1692 Signed       4 PLSDGXDC       COUNT OF DIAGNOSE X'DC'
    06A0 1696 Signed       4 PLSDGXE0       COUNT OF DIAGNOSE X'E0'
    06A4 1700 Signed       4 PLSDGXE4       COUNT OF DIAGNOSE X'E4'
    06A8 1704 Signed       4 PLSDGXE8       COUNT OF DIAGNOSE X'E8'
    06AC 1708 Signed       4 PLSDGXEC       COUNT OF DIAGNOSE X'EC'
    06B0 1712 Signed       4 PLSDGXF0       COUNT OF DIAGNOSE X'F0'
    06B4 1716 Signed       4 PLSDGXF4       COUNT OF DIAGNOSE X'F4'
    06B8 1720 Signed       4 PLSDGXF8       COUNT OF DIAGNOSE X'F8'
    06BC 1724 Signed       4 PLSDGXFC       COUNT OF DIAGNOSE X'FC'
                           VSERV - part 2
    06C0 1728 Dbl-Word     8 * (0)          Align on doubleword boundary
    06C0 1728 Bitstring  520 PLSDIAG2 (0)   TABLE OF DIAGNOSE COUNTERS
                                            200-3FC plus the cummulative
                                            counter for IBM diagnose
                                            instructions plus the cummulative
                                            counter for USER diagnose
                                            instructions
    06C0 1728 Signed       4 PLSDG200       RESERVED FOR DIAG X'200'
    06C4 1732 Signed       4 PLSDG204       RESERVED FOR DIAG X'204'
    06C8 1736 Signed       4 PLSDG208       RESERVED FOR DIAG X'208'
    06CC 1740 Signed       4 PLSDG20C       RESERVED FOR DIAG X'20C'
    06D0 1744 Signed       4 PLSDG210       RESERVED FOR DIAG X'210'
    06D4 1748 Signed       4 PLSDG214       RESERVED FOR DIAG X'214' NOTE:
                                            for performance reasons, this
                                            count is NOT included in the
                                            total count, PLSDIAGT.
    06D8 1752 Signed       4 PLSDG218       RESERVED FOR DIAG X'218'
    06DC 1756 Signed       4 PLSDG21C       RESERVED FOR DIAG X'21C'
    06E0 1760 Signed       4 PLSDG220       RESERVED FOR DIAG X'220'
    06E4 1764 Signed       4 PLSDG224       RESERVED FOR DIAG X'224'
    06E8 1768 Signed       4 PLSDG228       RESERVED FOR DIAG X'228'
    06EC 1772 Signed       4 PLSDG22C       RESERVED FOR DIAG X'22C'
    06F0 1776 Signed       4 PLSDG230       RESERVED FOR DIAG X'230'
    06F4 1780 Signed       4 PLSDG234       RESERVED FOR DIAG X'234'
    06F8 1784 Signed       4 PLSDG238       Count of diagnose X'238'
    06FC 1788 Signed       4 PLSDG23C       RESERVED FOR DIAG X'23C'
    0700 1792 Signed       4 PLSDG240       RESERVED FOR DIAG X'240'
    0704 1796 Signed       4 PLSDG244       RESERVED FOR DIAG X'244'
    0708 1800 Signed       4 PLSDG248       RESERVED FOR DIAG X'248'
    070C 1804 Signed       4 PLSDG24C       RESERVED FOR DIAG X'24C'
    0710 1808 Signed       4 PLSDG250       RESERVED FOR DIAG X'250'
    0714 1812 Signed       4 PLSDG254       RESERVED FOR DIAG X'254'
    0718 1816 Signed       4 PLSDG258       RESERVED FOR DIAG X'258'
    071C 1820 Signed       4 PLSDG25C       RESERVED FOR DIAG X'25C'
    0720 1824 Signed       4 PLSDG260       RESERVED FOR DIAG X'260'
    0724 1828 Signed       4 PLSDG264       RESERVED FOR DIAG X'264'
    0728 1832 Signed       4 PLSDG268       RESERVED FOR DIAG X'268'
    072C 1836 Signed       4 PLSDG26C       RESERVED FOR DIAG X'26C'
    0730 1840 Signed       4 PLSDG270       RESERVED FOR DIAG X'270'
    0734 1844 Signed       4 PLSDG274       RESERVED FOR DIAG X'274'
    0738 1848 Signed       4 PLSDG278       RESERVED FOR DIAG X'278'
    073C 1852 Signed       4 PLSDG27C       RESERVED FOR DIAG X'27C'
    0740 1856 Signed       4 PLSDG280       RESERVED FOR DIAG X'280'
    0744 1860 Signed       4 PLSDG284       RESERVED FOR DIAG X'284'
    0748 1864 Signed       4 PLSDG288       RESERVED FOR DIAG X'288'
    074C 1868 Signed       4 PLSDG28C       RESERVED FOR DIAG X'28C'
    0750 1872 Signed       4 PLSDG290       RESERVED FOR DIAG X'290'
    0754 1876 Signed       4 PLSDG294       RESERVED FOR DIAG X'294'
    0758 1880 Signed       4 PLSDG298       RESERVED FOR DIAG X'298'
    075C 1884 Signed       4 PLSDG29C       RESERVED FOR DIAG X'29C'
    0760 1888 Signed       4 PLSDG2A0       RESERVED FOR DIAG X'2A0'
    0764 1892 Signed       4 PLSDG2A4       RESERVED FOR DIAG X'2A4'
    0768 1896 Signed       4 PLSDG2A8       RESERVED FOR DIAG X'2A8'
    076C 1900 Signed       4 PLSDG2AC       RESERVED FOR DIAG X'2AC'
    0770 1904 Signed       4 PLSDG2B0       RESERVED FOR DIAG X'2B0'
    0774 1908 Signed       4 PLSDG2B4       RESERVED FOR DIAG X'2B4'
    0778 1912 Signed       4 PLSDG2B8       RESERVED FOR DIAG X'2B8'
    077C 1916 Signed       4 PLSDG2BC       RESERVED FOR DIAG X'2BC'
    0780 1920 Signed       4 PLSDG2C0       RESERVED FOR DIAG X'2C0'
    0784 1924 Signed       4 PLSDG2C4       RESERVED FOR DIAG X'2C4'
    0788 1928 Signed       4 PLSDG2C8       RESERVED FOR DIAG X'2C8'
    078C 1932 Signed       4 PLSDG2CC       RESERVED FOR DIAG X'2CC'
    0790 1936 Signed       4 PLSDG2D0       RESERVED FOR DIAG X'2D0'
    0794 1940 Signed       4 PLSDG2D4       RESERVED FOR DIAG X'2D4'
    0798 1944 Signed       4 PLSDG2D8       RESERVED FOR DIAG X'2D8'
    079C 1948 Signed       4 PLSDG2DC       RESERVED FOR DIAG X'2DC'
    07A0 1952 Signed       4 PLSDG2E0       RESERVED FOR DIAG X'2E0'
    07A4 1956 Signed       4 PLSDG2E4       RESERVED FOR DIAG X'2E4'
    07A8 1960 Signed       4 PLSDG2E8       RESERVED FOR DIAG X'2E8'
    07AC 1964 Signed       4 PLSDG2EC       RESERVED FOR DIAG X'2EC'
    07B0 1968 Signed       4 PLSDG2F0       RESERVED FOR DIAG X'2F0'
    07B4 1972 Signed       4 PLSDG2F4       RESERVED FOR DIAG X'2F4'
    07B8 1976 Signed       4 PLSDG2F8       RESERVED FOR DIAG X'2F8'
    07BC 1980 Signed       4 PLSDG2FC       RESERVED FOR DIAG X'2FC'
    07C0 1984 Signed       4 PLSDG300       RESERVED FOR DIAG X'300'
    07C4 1988 Signed       4 PLSDG304       RESERVED FOR DIAG X'304'
    07C8 1992 Signed       4 PLSDG308       RESERVED FOR DIAG X'308'
    07CC 1996 Signed       4 PLSDG30C       RESERVED FOR DIAG X'30C'
    07D0 2000 Signed       4 PLSDG310       RESERVED FOR DIAG X'310'
    07D4 2004 Signed       4 PLSDG314       RESERVED FOR DIAG X'314'
    07D8 2008 Signed       4 PLSDG318       RESERVED FOR DIAG X'318'
    07DC 2012 Signed       4 PLSDG31C       RESERVED FOR DIAG X'31C'
    07E0 2016 Signed       4 PLSDG320       RESERVED FOR DIAG X'320'
    07E4 2020 Signed       4 PLSDG324       RESERVED FOR DIAG X'324'
    07E8 2024 Signed       4 PLSDG328       RESERVED FOR DIAG X'328'
    07EC 2028 Signed       4 PLSDG32C       RESERVED FOR DIAG X'32C'
    07F0 2032 Signed       4 PLSDG330       RESERVED FOR DIAG X'330'
    07F4 2036 Signed       4 PLSDG334       RESERVED FOR DIAG X'334'
    07F8 2040 Signed       4 PLSDG338       RESERVED FOR DIAG X'338'
    07FC 2044 Signed       4 PLSDG33C       RESERVED FOR DIAG X'33C'
    0800 2048 Signed       4 PLSDG340       RESERVED FOR DIAG X'340'
    0804 2052 Signed       4 PLSDG344       RESERVED FOR DIAG X'344'
    0808 2056 Signed       4 PLSDG348       RESERVED FOR DIAG X'348'
    080C 2060 Signed       4 PLSDG34C       RESERVED FOR DIAG X'34C'
    0810 2064 Signed       4 PLSDG350       RESERVED FOR DIAG X'350'
    0814 2068 Signed       4 PLSDG354       RESERVED FOR DIAG X'354'
    0818 2072 Signed       4 PLSDG358       RESERVED FOR DIAG X'358'
    081C 2076 Signed       4 PLSDG35C       RESERVED FOR DIAG X'35C'
    0820 2080 Signed       4 PLSDG360       RESERVED FOR DIAG X'360'
    0824 2084 Signed       4 PLSDG364       RESERVED FOR DIAG X'364'
    0828 2088 Signed       4 PLSDG368       RESERVED FOR DIAG X'368'
    082C 2092 Signed       4 PLSDG36C       RESERVED FOR DIAG X'36C'
    0830 2096 Signed       4 PLSDG370       RESERVED FOR DIAG X'370'
    0834 2100 Signed       4 PLSDG374       RESERVED FOR DIAG X'374'
    0838 2104 Signed       4 PLSDG378       RESERVED FOR DIAG X'378'
    083C 2108 Signed       4 PLSDG37C       RESERVED FOR DIAG X'37C'
    0840 2112 Signed       4 PLSDG380       RESERVED FOR DIAG X'380'
    0844 2116 Signed       4 PLSDG384       RESERVED FOR DIAG X'384'
    0848 2120 Signed       4 PLSDG388       RESERVED FOR DIAG X'388'
    084C 2124 Signed       4 PLSDG38C       RESERVED FOR DIAG X'38C'
    0850 2128 Signed       4 PLSDG390       RESERVED FOR DIAG X'390'
    0854 2132 Signed       4 PLSDG394       RESERVED FOR DIAG X'394'
    0858 2136 Signed       4 PLSDG398       RESERVED FOR DIAG X'398'
    085C 2140 Signed       4 PLSDG39C       RESERVED FOR DIAG X'39C'
    0860 2144 Signed       4 PLSDG3A0       RESERVED FOR DIAG X'3A0'
    0864 2148 Signed       4 PLSDG3A4       RESERVED FOR DIAG X'3A4'
    0868 2152 Signed       4 PLSDG3A8       RESERVED FOR DIAG X'3A8'
    086C 2156 Signed       4 PLSDG3AC       RESERVED FOR DIAG X'3AC'
    0870 2160 Signed       4 PLSDG3B0       RESERVED FOR DIAG X'3B0'
    0874 2164 Signed       4 PLSDG3B4       RESERVED FOR DIAG X'3B4'
    0878 2168 Signed       4 PLSDG3B8       RESERVED FOR DIAG X'3B8'
    087C 2172 Signed       4 PLSDG3BC       RESERVED FOR DIAG X'3BC'
    0880 2176 Signed       4 PLSDG3C0       RESERVED FOR DIAG X'3C0'
    0884 2180 Signed       4 PLSDG3C4       RESERVED FOR DIAG X'3C4'
    0888 2184 Signed       4 PLSDG3C8       RESERVED FOR DIAG X'3C8'
    088C 2188 Signed       4 PLSDG3CC       RESERVED FOR DIAG X'3CC'
    0890 2192 Signed       4 PLSDG3D0       RESERVED FOR DIAG X'3D0'
    0894 2196 Signed       4 PLSDG3D4       RESERVED FOR DIAG X'3D4'
    0898 2200 Signed       4 PLSDG3D8       RESERVED FOR DIAG X'3D8'
    089C 2204 Signed       4 PLSDG3DC       RESERVED FOR DIAG X'3DC'
    08A0 2208 Signed       4 PLSDG3E0       RESERVED FOR DIAG X'3E0'
    08A4 2212 Signed       4 PLSDG3E4       RESERVED FOR DIAG X'3E4'
    08A8 2216 Signed       4 PLSDG3E8       RESERVED FOR DIAG X'3E8'
    08AC 2220 Signed       4 PLSDG3EC       RESERVED FOR DIAG X'3EC'
    08B0 2224 Signed       4 PLSDG3F0       RESERVED FOR DIAG X'3F0'
    08B4 2228 Signed       4 PLSDG3F4       RESERVED FOR DIAG X'3F4'
    08B8 2232 Signed       4 PLSDG3F8       RESERVED FOR DIAG X'3F8'
    08BC 2236 Signed       4 PLSDG3FC       RESERVED FOR DIAG X'3FC'
    08C0 2240 Signed       4 PLSDIAGT       Ct of all IBM diagnose operations
                                            EXCEPT Diagnose X'214'. To get
                                            the total, add PLSDG214 and
                                            PLSDIAGT.
    08C4 2244 Signed       4 PLSDGUCT       Ct of all USER diag operations.
                                            The USER diagnose range is X'100'
                                            through x'1FC'. Individual counts
                                            are not maintained in this block
                                            but can be found in the DGNBK for
                                            the particular diagnose.
                            VSIM
    08C8 2248 Dbl-Word     8 * (0)          Align on doubleword boundary
    08C8 2248 Signed       4 PLSVIXLD       TOTAL COUNT OF GUEST EXTERNAL
                                            INTERRUPT X'2402'
    08CC 2252 Signed       4 PLSVIXIU       TOTAL COUNT OF GUEST EXTERNAL
                                            INTERRUPT X'4000'
    08D0 2256 Signed       4 PLSVIXVM       TOTAL COUNT OF GUEST EXTERNAL
                                            INTERRUPT X'4001'
    08D4 2260 Signed       4 PLSCFMCK       COUNT OF CALL-FROM-CFM CPEBKS
                                            UNSTACKED AND EXECUTED
    08D8 2264 Signed       4 *              Reserved for IBM use
    08DC 2268 Signed       4 PLSSCKPF       Count of 0107 instr simulations
    08E0 2272 Signed       4 PLSWRUCI       COUNT OF SIE INTERCEPTIONS WHILE
                                            SIMULATING THE SIE INSTRUCTION
    08E4 2276 Signed       4 PLSWRUCP       COUNT OF SIE INSTRUCTION
                                            EXECUTIONS WHILE SIMULATING THE
                                            SIE INSTRUCTION
    08E8 2280 Signed       4 PLSVATCL       Count of guest virtual to host
                                            logical address translations
    08EC 2284 Signed       4 PLSVATCA       COUNT OF GUEST VIRTUAL TO GUEST
                                            REAL ADDRESS TRANSLATIONS
    08F0 2288 Signed       4 PLSTMRCE       COUNT OF GUEST ENTRIES TO AN
                                            ENABLED WAIT STATE
    08F4 2292 Signed       4 PLSBISST       B27D(STSI) instr simulation count
    08F8 2296 Signed       4 *              Reserved for IBM use
    08FC 2300 Signed       4 PLSVOPIF       COUNT OF INSTRUCTION FETCHES
    0900 2304 Signed       4 PLSVIXEX       COUNT OF EXTERNAL INTERRUPTS
                                            REFLECTED TO VIRTUAL MACHINES
    0904 2308 Signed       4 PLSMCVMC       COUNT OF MACHINE CHECK INTERRUPTS
                                            REFLECTED TO VIRTUAL MACHINES
    0908 2312 Signed       4 PLSGIRPG       COUNT OF PROGRAM INTERRUPTS
                                            REFLECTED TO VIRTUAL MACHINES
    090C 2316 Signed       4 PLSPRVSC       COUNT OF SVC INTERRUPTS REFLECTED
                                            TO VIRTUAL MACHINES
    0910 2320 Signed       4 PLSTMRCO       COUNT OF GUEST TIMER UPDATES WHEN
                                            LEAVING GUEST WAIT STATE
    0914 2324 Signed       4 PLSVIPRC       COUNT OF PAGE FAULTS RECOGNIZED
                                            FOR A PAGEX GUEST
    0918 2328 Signed       4 PLSVIPRS       COUNT OF PAGE FAULTS RECOGNIZED
                                            FOR A PAGEX GUEST
    091C 2332 Signed       4 PLSPRVIS       COUNT OF NON-FAST-PATH GUEST
                                            INSTRUCTION SIMULATIONS PERFORMED
                                            ON THIS PROCESSOR.
                       COUNTS OF INSTRUCTIONS SIMULATED:
    0920 2336 Signed       4 PLSBISCP       STIDP (B202)
    0924 2340 Signed       4 PLSBISAS       STAP (B212)
    0928 2344 Signed       4 PLSBISBT       TB (B22C)
    092C 2348 Signed       4 PLSBISPB       PTLB (B20D)
    0930 2352 Signed       4 PLSBISSI       SIE (B214)
    0934 2356 Signed       4 PLSBISTE       SCK (B204)
    0938 2360 Signed       4 PLSBISXE       SPX (B210)
    093C 2364 Signed       4 PLSBISXS       STPX (B211)
    0940 2368 Signed       4 PLSBISIU       IUCV (B2F0)
    0944 2372 Signed       4 PLSKEYIE       ISKE (B229)
    0948 2376 Signed       4 PLSKEYIK       ISK (09)
    094C 2380 Signed       4 PLSKEYRE       RRBE (B22A)
    0950 2384 Signed       4 PLSKEYRR       RRB (B213)
    0954 2388 Signed       4 PLSKEYSE       SSKE (B22B)
    0958 2392 Signed       4 PLSKEYSK       SSK (08)
    095C 2396 Signed       4 PLSPRVGP       SIGP (AE)
    0960 2400 Signed       4 PLSPRVLC       LCTL (B7)
    0964 2404 Signed       4 PLSPRVLP       LPSW (82)
    0968 2408 Signed       4 PLSPRVMN       STNSM (AC)
    096C 2412 Signed       4 PLSPRVMO       STOSM (AD)
    0970 2416 Signed       4 PLSPRVMS       SSM (80)
    0974 2420 Signed       4 PLSPRVSV       SVC (0A)
    0978 2424 Signed       4 PLSPRVTC       STCTL (B6)
    097C 2428 Signed       4 PLSPRVTP       TPROT (E501)
    0980 2432 Signed       4 PLSPRVVN       GUEST SVC 76'S REFLECTED
    0984 2436 Signed       4 PLSVPTNV       IPTE (B221)
    0988 2440 Signed       4 PLSXPGIN       PGIN (B22E)
    098C 2444 Signed       4 PLSXPGOU       PGOUT (B22F)
    0990 2448 Signed       4 PLSPRVLG       LCTLG (EB2F)
    0994 2452 Signed       4 PLSPRVSG       STCTG (EB25)
    0998 2456 Signed       4 PLSLPSWE       LPSWE (B2B2)
    099C 2460 Signed       4 PLS0EPSW       EPSW (B98D)
    09A0 2464 Signed       4 PLS0STFL       STFL (B2B1)
    09A4 2468 Signed       4 PLS0ESEA       ESEA (B99D)
    09A8 2472 Signed       4 PLSSTFLE       STFLE (B2B0)
    09AC 2476 Signed       4 PLSPTFF        PTFF (0104)
    09B0 2480 Signed       4 PLSESSA        ESSA (B9AB)
    09B4 2484 Signed       4 *              RESERVED FOR IBM USE
    09B8 2488 Signed       4 *              RESERVED FOR IBM USE
    09BC 2492 Signed       4 *              RESERVED FOR IBM USE
    09C0 2496 Signed       4 *              RESERVED FOR IBM USE
    09C4 2500 Signed       4 *              RESERVED FOR IBM USE
    09C8 2504 Signed       4 *              RESERVED FOR IBM USE
    09CC 2508 Signed       4 PLSXPG5A       Count of B25A instr simulations
    09D0 2512 Signed       4 *              Reserved for IBM use
    09D4 2516 Signed       4 PLSALERT       Count of Alert interceptions
    09D8 2520 Signed       4 PLSALETP       Count of TPZI indications of I/O
    09DC 2524 Signed       4 PLSVIESB       IESBE (B259)
    09E0 2528 Signed       4 PLSVIDTE       IDTE (B98E)
    09E4 2532 Signed       4 *              Reserved for IBM use
                           MONTR
    09E8 2536 Dbl-Word     8 * (0)          Align on doubleword boundary
    09E8 2536 Signed       4 PLSUNKMC       Count of times an unrecognized
                                            Monitor Call (MC) instruction
                                            (unrecognized class or code) was
                                            invoked. Unrecognized codes are
                                            NOT detected in the USER and I/O
                                            domains for users or devices that
                                            are not being monitored.
    09EC 2540 Signed       4 PLSHFDAT       Pointer to Processor-domain
                                            High-Frequency data area
                                            (HCPHFPBK)
    09F0 2544 Signed       4 PLSHFLCK       Lockword to serialize the use of
                                            PLSHFDAT and HCPHFPBK
    09F4 2548 Signed       4 *              Reserved for IBM use
                 Diagnose x'9C' counters
    09F8 2552 Signed       4 PLS9CNR        Count of times a guest issued
                                            Diag x'9C' and the target was in
                                            a VMDSTATE < VMDREADY
    09FC 2556 Signed       4 PLS9CWT        Count of times a guest issued
                                            Diag x'9C' and the target was
                                            found in wait state (PSW.W=1)
    0A00 2560 Signed       4 PLS9CSWT       Count of times a guest issued
                                            Diag x'9C' and the issuer had to
                                            soft-wait on the target.
    0A04 2564 Signed       4 *              Reserved for future IBM use
                 Additional available list replenishment counters
    0A08 2568 Signed       4 PLSALECL       count of times <2G contiguous
                                            frames available list was empty
                                            Note: cannot be used to calculate
                                            count of times <2G single
                                            frames available list was empty
    0A0C 2572 Signed       4 PLSALECG       count of times >2G contiguous
                                            frames available list was empty
                                            Note: cannot be used to calculate
                                            count of times >2G single
                                            frames available list was empty
    0A10 2576 Signed       4 PLSASHCL       count of times single frame taken
                                            from <2G contig frame avail
                                            list when below high threshold
    0A14 2580 Signed       4 PLSASHCG       count of times single frame taken
                                            from >2G contig frame avail
                                            list when below high threshold
          UNASSIGNED AREA - Control block reserved space
           As new fields are added to subsystem sections
           be sure to reduce the reserved area below by the
           corresponding amount.
           NOTES      : The control block reserved area value in
                 this COPY file should equal the value in
                 PLXCOPY version for this control block.
    0A18 2584 Dbl-Word     8 * (184)        Reserved for IBM use
          These LO/HI thresholds are changed when
          - they are first initialized
          - we see Partial Execution Interception subcode 7
          - the FOB Local List is trimmed for Demand Scan
          - the FOB Local List is trimmed by Interval Scan
    0FD8 4056 Signed       8 *              Reserved for IBM
    0FE0 4064 Signed       4 PLSFOBLO       Local List low threshold
    0FE8 4072 Signed       4 PLSFOBHI       Local List hi threshold
    0FF0 4080 Signed       8 PLSFOB1E       Unsigned count of times the FOB
                                            list for this processor was empty
                                            when a FOB was requested
    0FF8 4088 Signed       8 PLSFOB1T       Timestamp of the first trim
                                            request for this processor
              00001000       PLSBKLEN       (*-PLSBK) Size of PLSBK in bytes
                                            The following macro invocation
                                            ensures the length of the PLSBK
                                            is exactly 4096 bytes (one 4K
                                            page).

#### PLSBK Storage Layout

    *** PLSBK - PROCESSOR LOCAL STORAGE BLOCK
    *
    *     +---------------------------+---------------------------+
    *   0 |         PLSPIOPR          |         PLSPIOSR          |
    *     +---------------------------+---------------------------+
    *   8 |         PLSPIOPW          |         PLSPIOSW          |
    *     +---------------------------+---------------------------+
    *  10 |         PLSPAGPS          |         PLSCTMPN          |
    *     +---------------------------+---------------------------+
    *  18 |         PLSCTPGN          |         PLSCTPGO          |
    *     +---------------------------+---------------------------+
    *  20 |         PLSABNCT          |                           |
    *     +---------------------------+                           |
    *  28 |                                                       |
    *     =                       PLSASRWK                        =
    *     |                                                       |
    *     +---------------------------+---------------------------+
    *  90 |         PLSXITCT          |///////////////////////////|
    *     +---------------------------+---------------------------+
    *  98 |         PLSDSPCW          |         PLSEXTNX          |
    *     +---------------------------+---------------------------+
    *  A0 |         PLSTRQPC          |         PLSEXTNC          |
    *     +---------------------------+---------------------------+
    *  A8 |         PLSMCHCT          |         PLSSVCCT          |
    *     +---------------------------+---------------------------+
    *  B0 |         PLSTRQCF          |         PLSDSPCN          |
    *     +---------------------------+---------------------------+
    *  B8 |         PLSSCHLK          |         PLSDSPCM          |
    *     +---------------------------+---------------------------+
    *  C0 |         PLSDSWCU          |         PLSPTLCS          |
    *     +---------------------------+---------------------------+
    *  C8 |         PLSPTLCL          |         PLSPTLCD          |
    *     +---------------------------+---------------------------+
    *  D0 |         PLSPTLCA          |         PLSSTKCD          |
    *     +---------------------------+---------------------------+
    *  D8 |         PLSSTKPE          |         PLSSTKCI          |
    *     +---------------------------+---------------------------+
    *  E0 |         PLSSTKCC          |         PLSSTKCS          |
    *     +---------------------------+---------------------------+
    *  E8 |         PLSSTKCW          |         PLSSTKGS          |
    *     +---------------------------+---------------------------+
    *  F0 |         PLSSTKCM          |         PLSSTKCJ          |
    *     +---------------------------+---------------------------+
    *  F8 |         PLSSTKCH          |                           |
    *     +---------------------------+                           |
    * 100 |                                                       |
    *     =                       PLSSTLCT                        =
    *     |                           +---------------------------+
    *     |                           |///////////////////////////|
    *     +-------------+-------------+-------------+-------------+
    * 200 |/////////////|  PLSCUHAF   |  PLSEFRC1   |  PLSEFRC2   |
    *     +-------------+-------------+-------------+-------------+
    * 208 |  PLSEFRC3   |  PLSEQKAD   |///////////////////////////|
    *     +-------------+-------------+---------------------------+
    * 210 |                       PLSLKDLY                        |
    *     +-------------------------------------------------------+
    * 218 |                       PLSLKDIO                        |
    *     +---------------------------+---------------------------+
    * 220 |         PLSLKMAX          |         PLSLKVMD          |
    *     +---------------------------+-------------+-------------+
    * 228 |                PLSLKMOD                 |  PLSLKOFS   |
    *     +---------------------------+-------------+-------------+
    * 230 |         PLSPGDRD          |         PLSPGDWT          |
    *     +---------------------------+---------------------------+
    * 238 |         PLSSTLWT          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 240 |         PLSALNCT          |         PLSALEMP          |
    *     +---------------------------+---------------------------+
    * 248 |         PLSRETFR          |         PLSALNCG          |
    *     +---------------------------+---------------------------+
    * 250 |         PLSALEMG          |         PLSRETFG          |
    *     +---------------------------+---------------------------+
    * 258 |         PLSASFCL          |         PLSASFCG          |
    *     +---------------------------+---------------------------+
    * 260 |                       PLSBGCTM                        |
    *     +---------------------------+---------------------------+
    * 268 |         PLSBGCNT          |         PLSGCLEM          |
    *     +---------------------------+---------------------------+
    * 270 |                       PLSFGCTM                        |
    *     +---------------------------+---------------------------+
    * 278 |         PLSFGCNT          |         PLSLTD1           |
    *     +---------------------------+---------------------------+
    * 280 |         PLSLTD2           |         PLSREORD          |
    *     +---------------------------+---------------------------+
    * 288 |         PLSPPGM1          |         PLSPPGM2          |
    *     +---------------------------+---------------------------+
    * 290 |         PLSPPGME          |         PLSDORM1          |
    *     +---------------------------+---------------------------+
    * 298 |         PLSUPREC          |         PLSSHAR1          |
    *     +---------------------------+---------------------------+
    * 2A0 |         PLSELIG1          |         PLSDISP1          |
    *     +---------------------------+---------------------------+
    * 2A8 |         PLSDORM2          |         PLSELIG2          |
    *     +---------------------------+---------------------------+
    * 2B0 |         PLSDISP2          |         PLSSHARE          |
    *     +---------------------------+---------------------------+
    * 2B8 |         PLSDORME          |         PLSELIGE          |
    *     +---------------------------+---------------------------+
    * 2C0 |///////////////////////////|         PLSDISPE          |
    *     +---------------------------+---------------------------+
    * 2C8 |         PLSNOCMP          |         PLSLTDP1          |
    *     +---------------------------+---------------------------+
    * 2D0 |         PLSDRMP1          |         PLSELGP1          |
    *     +---------------------------+---------------------------+
    * 2D8 |         PLSDSPP1          |         PLSSHRP1          |
    *     +---------------------------+---------------------------+
    * 2E0 |///////////////////////////|         PLSLTDP2          |
    *     +---------------------------+---------------------------+
    * 2E8 |         PLSDRMP2          |         PLSELGP2          |
    *     +---------------------------+---------------------------+
    * 2F0 |         PLSDSPP2          |         PLSSHRP2          |
    *     +---------------------------+---------------------------+
    * 2F8 |///////////////////////////|         PLSLTDPE          |
    *     +---------------------------+---------------------------+
    * 300 |         PLSDRMPE          |         PLSELGPE          |
    *     +---------------------------+---------------------------+
    * 308 |         PLSDSPPE          |         PLSSHRPE          |
    *     +---------------------------+---------------------------+
    * 310 |///////////////////////////|         PLSFOBEM          |
    *     +---------------------------+---------------------------+
    * 318 |                       PLSFOBTM                        |
    *     +---------------------------+---------------------------+
    * 320 |         PLSUPAGE          |         PLSVPAGE          |
    *     +---------------------------+---------------------------+
    * 328 |         PLSPCPAG          |         PLSSTLFR          |
    *     +---------------------------+---------------------------+
    * 330 |         PLSFSPGA          |         PLSFSPGB          |
    *     +---------------------------+---------------------------+
    * 338 |         PLSFSCTA          |         PLSFSCTB          |
    *     +---------------------------+---------------------------+
    * 340 |         PLSFSSGA          |         PLSFSSGB          |
    *     +---------------------------+---------------------------+
    * 348 |         PLSFSSRA          |         PLSFSSRB          |
    *     +---------------------------+---------------------------+
    * 350 |         PLSFSPRA          |         PLSFSPRB          |
    *     +---------------------------+---------------------------+
    * 358 |         PLSFRETA          |         PLSFRETB          |
    *     +---------------------------+---------------------------+
    * 360 |         PLSPUPAG          |         PLSPRQDF          |
    *     +---------------------------+---------------------------+
    * 368 |         PLSPNEW           |         PLSPREAD          |
    *     +---------------------------+---------------------------+
    * 370 |         PLSSHRRD          |         PLSRELES          |
    *     +---------------------------+---------------------------+
    * 378 |         PLSRELFR          |         PLSURFTF          |
    *     +---------------------------+---------------------------+
    * 380 |         PLSASARL          |         PLSPGIN           |
    *     +---------------------------+---------------------------+
    * 388 |         PLSPGOUT          |         PLSPGXRD          |
    *     +---------------------------+---------------------------+
    * 390 |         PLSPGXWT          |         PLSPGMRX          |
    *     +---------------------------+---------------------------+
    * 398 |         PLSPGMRD          |         PLSMVB2G          |
    *     +---------------------------+---------------------------+
    * 3A0 |         PLSMVABV          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 3A8 |         PLSSUTKC          |         PLSSURTC          |
    *     +---------------------------+---------------------------+
    * 3B0 |         PLSSUPUC          |         PLSSUQMT          |
    *     +---------------------------+---------------------------+
    * 3B8 |         PLSSATKC          |         PLSSARTC          |
    *     +---------------------------+---------------------------+
    * 3C0 |         PLSSAPUC          |         PLSSAQMT          |
    *     +---------------------------+---------------------------+
    * 3C8 |         PLSSBTKC          |         PLSSBRTC          |
    *     +---------------------------+---------------------------+
    * 3D0 |         PLSSBPUC          |         PLSSBQMT          |
    *     +---------------------------+---------------------------+
    * 3D8 |         PLSSXALS          |         PLSSXADC          |
    *     +---------------------------+---------------------------+
    * 3E0 |         PLSSXACC          |         PLSSXARC          |
    *     +---------------------------+---------------------------+
    * 3E8 |         PLSSXAQC          |         PLSSXASC          |
    *     +---------------------------+---------------------------+
    * 3F0 |         PLSSXAFC          |         PLSSXALD          |
    *     +---------------------------+---------------------------+
    * 3F8 |         PLSSPFSC          |         PLSSPGFC          |
    *     +---------------------------+---------------------------+
    * 400 |         PLSSPGPC          |         PLSSPGCC          |
    *     +---------------------------+---------------------------+
    * 408 |         PLSSPGCT          |         PLSSPRFC          |
    *     +---------------------------+---------------------------+
    * 410 |         PLSSPRPC          |         PLSSPRCC          |
    *     +---------------------------+---------------------------+
    * 418 |         PLSSPRCT          |         PLSSPRQC          |
    *     +---------------------------+---------------------------+
    * 420 |         PLSSPRQT          |         PLSSPNDP          |
    *     +---------------------------+---------------------------+
    * 428 |         PLSSPNDF          |         PLSSPGPD          |
    *     +---------------------------+---------------------------+
    * 430 |         PLSSPGFD          |         PLSSPGBD          |
    *     +---------------------------+---------------------------+
    * 438 |         PLSSPDQC          |         PLSSXIPC          |
    *     +---------------------------+---------------------------+
    * 440 |         PLSSXNST          |         PLSSXCSP          |
    *     +---------------------------+---------------------------+
    * 448 |         PLSSXREP          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 450 |         PLSIUCVT          |         PLSISEMA          |
    *     +---------------------------+---------------------------+
    * 458 |         PLSISEM           |         PLSISEBL          |
    *     +---------------------------+---------------------------+
    * 460 |         PLSISERA          |         PLSISEMO          |
    *     +---------------------------+---------------------------+
    * 468 |         PLSISESI          |         PLSISECC          |
    *     +---------------------------+---------------------------+
    * 470 |         PLSISESP          |         PLSISESY          |
    *     +---------------------------+---------------------------+
    * 478 |         PLSISEAC          |         PLSISELO          |
    *     +---------------------------+---------------------------+
    * 480 |         PLSISECR          |         PLSISEID          |
    *     +---------------------------+---------------------------+
    * 488 |         PLSISECF          |         PLSISEVS          |
    *     +---------------------------+---------------------------+
    * 490 |         PLSISEAS          |         PLSISESC          |
    *     +---------------------------+---------------------------+
    * 498 |         PLSISEVE          |///////////////////////////|
    *     +---------------------------+///////////////////////////|
    *     |///////////////////////////////////////////////////////|
    *     +---------------------------+---------------------------+
    * 4A8 |         PLSISTMA          |         PLSISTM           |
    *     +---------------------------+---------------------------+
    * 4B0 |         PLSISTBL          |         PLSISTRA          |
    *     +---------------------------+---------------------------+
    * 4B8 |         PLSISTMO          |         PLSISTSI          |
    *     +---------------------------+---------------------------+
    * 4C0 |         PLSISTCC          |         PLSISTSP          |
    *     +---------------------------+---------------------------+
    * 4C8 |         PLSISTSY          |         PLSISTAC          |
    *     +---------------------------+---------------------------+
    * 4D0 |         PLSISTLO          |         PLSISTCR          |
    *     +---------------------------+---------------------------+
    * 4D8 |         PLSISTID          |         PLSISTCF          |
    *     +---------------------------+---------------------------+
    * 4E0 |         PLSISTVS          |         PLSISTAS          |
    *     +---------------------------+---------------------------+
    * 4E8 |         PLSISTSC          |         PLSISTVE          |
    *     +---------------------------+---------------------------+
    * 4F0 |///////////////////////////////////////////////////////|
    *     |///////////////////////////+---------------------------+
    * 4F8 |///////////////////////////|         PLSISUMA          |
    *     +---------------------------+---------------------------+
    * 500 |         PLSISUM           |         PLSISUBL          |
    *     +---------------------------+---------------------------+
    * 508 |         PLSISURA          |         PLSISUMO          |
    *     +---------------------------+---------------------------+
    * 510 |         PLSISUSI          |         PLSISUCC          |
    *     +---------------------------+---------------------------+
    * 518 |         PLSISUSP          |         PLSISUSY          |
    *     +---------------------------+---------------------------+
    * 520 |         PLSISUAC          |         PLSISULO          |
    *     +---------------------------+---------------------------+
    * 528 |         PLSISUCR          |         PLSISUID          |
    *     +---------------------------+---------------------------+
    * 530 |         PLSISUCF          |         PLSISUVS          |
    *     +---------------------------+---------------------------+
    * 538 |         PLSISUAS          |         PLSISUSC          |
    *     +---------------------------+---------------------------+
    * 540 |         PLSISUVE          |///////////////////////////|
    *     +---------------------------+///////////////////////////|
    *     |///////////////////////////////////////////////////////|
    *     +---------------------------+---------------------------+
    * 550 |         PLSISEVM          |         PLSISTVM          |
    *     +---------------------------+---------------------------+
    * 558 |         PLSISUVM          |         PLSVSEVM          |
    *     +---------------------------+---------------------------+
    * 560 |         PLSVSTVM          |         PLSVSUVM          |
    *     +---------------------------+---------------------------+
    * 568 |         PLSCTSS           |         PLSCTRS           |
    *     +---------------------------+---------------------------+
    * 570 |         PLSCTCS           |         PLSCTHS           |
    *     +---------------------------+---------------------------+
    * 578 |         PLSCTSI           |         PLSCTUI           |
    *     +---------------------------+---------------------------+
    * 580 |         PLSCPSUS          |         PLSSSDSD          |
    *     +---------------------------+---------------------------+
    * 588 |         PLSPCVSC          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 590 |         PLSSSCHC          |         PLSRSCHC          |
    *     +---------------------------+---------------------------+
    * 598 |         PLSSIOCT          |         PLSSIOFC          |
    *     +---------------------------+---------------------------+
    * 5A0 |         PLSTCCC           |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 5A8 |         PLSIORCT          |         PLSVDISK          |
    *     +---------------------------+---------------------------+
    * 5B0 |         PLS250IR          |         PLSCCWLP          |
    *     +---------------------------+---------------------------+
    * 5B8 |         PLSVWRIT          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 5C0 |         PLSDGX00          |         PLSDGX04          |
    *     +---------------------------+---------------------------+
    * 5C8 |         PLSDGX08          |         PLSDGX0C          |
    *     +---------------------------+---------------------------+
    * 5D0 |         PLSDGX10          |         PLSDGX14          |
    *     +---------------------------+---------------------------+
    * 5D8 |         PLSDGX18          |         PLSDGX1C          |
    *     +---------------------------+---------------------------+
    * 5E0 |         PLSDGX20          |         PLSDGX24          |
    *     +---------------------------+---------------------------+
    * 5E8 |         PLSDGX28          |         PLSDGX2C          |
    *     +---------------------------+---------------------------+
    * 5F0 |         PLSDGX30          |         PLSDGX34          |
    *     +---------------------------+---------------------------+
    * 5F8 |         PLSDGX38          |         PLSDGX3C          |
    *     +---------------------------+---------------------------+
    * 600 |         PLSDGX40          |         PLSDGX44          |
    *     +---------------------------+---------------------------+
    * 608 |         PLSDGX48          |         PLSDGX4C          |
    *     +---------------------------+---------------------------+
    * 610 |         PLSDGX50          |         PLSDGX54          |
    *     +---------------------------+---------------------------+
    * 618 |         PLSDGX58          |         PLSDGX5C          |
    *     +---------------------------+---------------------------+
    * 620 |         PLSDGX60          |         PLSDGX64          |
    *     +---------------------------+---------------------------+
    * 628 |         PLSDGX68          |         PLSDGX6C          |
    *     +---------------------------+---------------------------+
    * 630 |         PLSDGX70          |         PLSDGX74          |
    *     +---------------------------+---------------------------+
    * 638 |         PLSDGX78          |         PLSDGX7C          |
    *     +---------------------------+---------------------------+
    * 640 |         PLSDGX80          |         PLSDGX84          |
    *     +---------------------------+---------------------------+
    * 648 |         PLSDGX88          |         PLSDGX8C          |
    *     +---------------------------+---------------------------+
    * 650 |         PLSDGX90          |         PLSDGX94          |
    *     +---------------------------+---------------------------+
    * 658 |         PLSDGX98          |         PLSDGX9C          |
    *     +---------------------------+---------------------------+
    * 660 |         PLSDGXA0          |         PLSDGXA4          |
    *     +---------------------------+---------------------------+
    * 668 |         PLSDGXA8          |         PLSDGXAC          |
    *     +---------------------------+---------------------------+
    * 670 |         PLSDGXB0          |         PLSDGXB4          |
    *     +---------------------------+---------------------------+
    * 678 |         PLSDGXB8          |         PLSDGXBC          |
    *     +---------------------------+---------------------------+
    * 680 |         PLSDGXC0          |         PLSDGXC4          |
    *     +---------------------------+---------------------------+
    * 688 |         PLSDGXC8          |         PLSDGXCC          |
    *     +---------------------------+---------------------------+
    * 690 |         PLSDGXD0          |         PLSDGXD4          |
    *     +---------------------------+---------------------------+
    * 698 |         PLSDGXD8          |         PLSDGXDC          |
    *     +---------------------------+---------------------------+
    * 6A0 |         PLSDGXE0          |         PLSDGXE4          |
    *     +---------------------------+---------------------------+
    * 6A8 |         PLSDGXE8          |         PLSDGXEC          |
    *     +---------------------------+---------------------------+
    * 6B0 |         PLSDGXF0          |         PLSDGXF4          |
    *     +---------------------------+---------------------------+
    * 6B8 |         PLSDGXF8          |         PLSDGXFC          |
    *     +---------------------------+---------------------------+
    * 6C0 |         PLSDG200          |         PLSDG204          |
    *     +---------------------------+---------------------------+
    * 6C8 |         PLSDG208          |         PLSDG20C          |
    *     +---------------------------+---------------------------+
    * 6D0 |         PLSDG210          |         PLSDG214          |
    *     +---------------------------+---------------------------+
    * 6D8 |         PLSDG218          |         PLSDG21C          |
    *     +---------------------------+---------------------------+
    * 6E0 |         PLSDG220          |         PLSDG224          |
    *     +---------------------------+---------------------------+
    * 6E8 |         PLSDG228          |         PLSDG22C          |
    *     +---------------------------+---------------------------+
    * 6F0 |         PLSDG230          |         PLSDG234          |
    *     +---------------------------+---------------------------+
    * 6F8 |         PLSDG238          |         PLSDG23C          |
    *     +---------------------------+---------------------------+
    * 700 |         PLSDG240          |         PLSDG244          |
    *     +---------------------------+---------------------------+
    * 708 |         PLSDG248          |         PLSDG24C          |
    *     +---------------------------+---------------------------+
    * 710 |         PLSDG250          |         PLSDG254          |
    *     +---------------------------+---------------------------+
    * 718 |         PLSDG258          |         PLSDG25C          |
    *     +---------------------------+---------------------------+
    * 720 |         PLSDG260          |         PLSDG264          |
    *     +---------------------------+---------------------------+
    * 728 |         PLSDG268          |         PLSDG26C          |
    *     +---------------------------+---------------------------+
    * 730 |         PLSDG270          |         PLSDG274          |
    *     +---------------------------+---------------------------+
    * 738 |         PLSDG278          |         PLSDG27C          |
    *     +---------------------------+---------------------------+
    * 740 |         PLSDG280          |         PLSDG284          |
    *     +---------------------------+---------------------------+
    * 748 |         PLSDG288          |         PLSDG28C          |
    *     +---------------------------+---------------------------+
    * 750 |         PLSDG290          |         PLSDG294          |
    *     +---------------------------+---------------------------+
    * 758 |         PLSDG298          |         PLSDG29C          |
    *     +---------------------------+---------------------------+
    * 760 |         PLSDG2A0          |         PLSDG2A4          |
    *     +---------------------------+---------------------------+
    * 768 |         PLSDG2A8          |         PLSDG2AC          |
    *     +---------------------------+---------------------------+
    * 770 |         PLSDG2B0          |         PLSDG2B4          |
    *     +---------------------------+---------------------------+
    * 778 |         PLSDG2B8          |         PLSDG2BC          |
    *     +---------------------------+---------------------------+
    * 780 |         PLSDG2C0          |         PLSDG2C4          |
    *     +---------------------------+---------------------------+
    * 788 |         PLSDG2C8          |         PLSDG2CC          |
    *     +---------------------------+---------------------------+
    * 790 |         PLSDG2D0          |         PLSDG2D4          |
    *     +---------------------------+---------------------------+
    * 798 |         PLSDG2D8          |         PLSDG2DC          |
    *     +---------------------------+---------------------------+
    * 7A0 |         PLSDG2E0          |         PLSDG2E4          |
    *     +---------------------------+---------------------------+
    * 7A8 |         PLSDG2E8          |         PLSDG2EC          |
    *     +---------------------------+---------------------------+
    * 7B0 |         PLSDG2F0          |         PLSDG2F4          |
    *     +---------------------------+---------------------------+
    * 7B8 |         PLSDG2F8          |         PLSDG2FC          |
    *     +---------------------------+---------------------------+
    * 7C0 |         PLSDG300          |         PLSDG304          |
    *     +---------------------------+---------------------------+
    * 7C8 |         PLSDG308          |         PLSDG30C          |
    *     +---------------------------+---------------------------+
    * 7D0 |         PLSDG310          |         PLSDG314          |
    *     +---------------------------+---------------------------+
    * 7D8 |         PLSDG318          |         PLSDG31C          |
    *     +---------------------------+---------------------------+
    * 7E0 |         PLSDG320          |         PLSDG324          |
    *     +---------------------------+---------------------------+
    * 7E8 |         PLSDG328          |         PLSDG32C          |
    *     +---------------------------+---------------------------+
    * 7F0 |         PLSDG330          |         PLSDG334          |
    *     +---------------------------+---------------------------+
    * 7F8 |         PLSDG338          |         PLSDG33C          |
    *     +---------------------------+---------------------------+
    * 800 |         PLSDG340          |         PLSDG344          |
    *     +---------------------------+---------------------------+
    * 808 |         PLSDG348          |         PLSDG34C          |
    *     +---------------------------+---------------------------+
    * 810 |         PLSDG350          |         PLSDG354          |
    *     +---------------------------+---------------------------+
    * 818 |         PLSDG358          |         PLSDG35C          |
    *     +---------------------------+---------------------------+
    * 820 |         PLSDG360          |         PLSDG364          |
    *     +---------------------------+---------------------------+
    * 828 |         PLSDG368          |         PLSDG36C          |
    *     +---------------------------+---------------------------+
    * 830 |         PLSDG370          |         PLSDG374          |
    *     +---------------------------+---------------------------+
    * 838 |         PLSDG378          |         PLSDG37C          |
    *     +---------------------------+---------------------------+
    * 840 |         PLSDG380          |         PLSDG384          |
    *     +---------------------------+---------------------------+
    * 848 |         PLSDG388          |         PLSDG38C          |
    *     +---------------------------+---------------------------+
    * 850 |         PLSDG390          |         PLSDG394          |
    *     +---------------------------+---------------------------+
    * 858 |         PLSDG398          |         PLSDG39C          |
    *     +---------------------------+---------------------------+
    * 860 |         PLSDG3A0          |         PLSDG3A4          |
    *     +---------------------------+---------------------------+
    * 868 |         PLSDG3A8          |         PLSDG3AC          |
    *     +---------------------------+---------------------------+
    * 870 |         PLSDG3B0          |         PLSDG3B4          |
    *     +---------------------------+---------------------------+
    * 878 |         PLSDG3B8          |         PLSDG3BC          |
    *     +---------------------------+---------------------------+
    * 880 |         PLSDG3C0          |         PLSDG3C4          |
    *     +---------------------------+---------------------------+
    * 888 |         PLSDG3C8          |         PLSDG3CC          |
    *     +---------------------------+---------------------------+
    * 890 |         PLSDG3D0          |         PLSDG3D4          |
    *     +---------------------------+---------------------------+
    * 898 |         PLSDG3D8          |         PLSDG3DC          |
    *     +---------------------------+---------------------------+
    * 8A0 |         PLSDG3E0          |         PLSDG3E4          |
    *     +---------------------------+---------------------------+
    * 8A8 |         PLSDG3E8          |         PLSDG3EC          |
    *     +---------------------------+---------------------------+
    * 8B0 |         PLSDG3F0          |         PLSDG3F4          |
    *     +---------------------------+---------------------------+
    * 8B8 |         PLSDG3F8          |         PLSDG3FC          |
    *     +---------------------------+---------------------------+
    * 8C0 |         PLSDIAGT          |         PLSDGUCT          |
    *     +---------------------------+---------------------------+
    * 8C8 |         PLSVIXLD          |         PLSVIXIU          |
    *     +---------------------------+---------------------------+
    * 8D0 |         PLSVIXVM          |         PLSCFMCK          |
    *     +---------------------------+---------------------------+
    * 8D8 |///////////////////////////|         PLSSCKPF          |
    *     +---------------------------+---------------------------+
    * 8E0 |         PLSWRUCI          |         PLSWRUCP          |
    *     +---------------------------+---------------------------+
    * 8E8 |         PLSVATCL          |         PLSVATCA          |
    *     +---------------------------+---------------------------+
    * 8F0 |         PLSTMRCE          |         PLSBISST          |
    *     +---------------------------+---------------------------+
    * 8F8 |///////////////////////////|         PLSVOPIF          |
    *     +---------------------------+---------------------------+
    * 900 |         PLSVIXEX          |         PLSMCVMC          |
    *     +---------------------------+---------------------------+
    * 908 |         PLSGIRPG          |         PLSPRVSC          |
    *     +---------------------------+---------------------------+
    * 910 |         PLSTMRCO          |         PLSVIPRC          |
    *     +---------------------------+---------------------------+
    * 918 |         PLSVIPRS          |         PLSPRVIS          |
    *     +---------------------------+---------------------------+
    * 920 |         PLSBISCP          |         PLSBISAS          |
    *     +---------------------------+---------------------------+
    * 928 |         PLSBISBT          |         PLSBISPB          |
    *     +---------------------------+---------------------------+
    * 930 |         PLSBISSI          |         PLSBISTE          |
    *     +---------------------------+---------------------------+
    * 938 |         PLSBISXE          |         PLSBISXS          |
    *     +---------------------------+---------------------------+
    * 940 |         PLSBISIU          |         PLSKEYIE          |
    *     +---------------------------+---------------------------+
    * 948 |         PLSKEYIK          |         PLSKEYRE          |
    *     +---------------------------+---------------------------+
    * 950 |         PLSKEYRR          |         PLSKEYSE          |
    *     +---------------------------+---------------------------+
    * 958 |         PLSKEYSK          |         PLSPRVGP          |
    *     +---------------------------+---------------------------+
    * 960 |         PLSPRVLC          |         PLSPRVLP          |
    *     +---------------------------+---------------------------+
    * 968 |         PLSPRVMN          |         PLSPRVMO          |
    *     +---------------------------+---------------------------+
    * 970 |         PLSPRVMS          |         PLSPRVSV          |
    *     +---------------------------+---------------------------+
    * 978 |         PLSPRVTC          |         PLSPRVTP          |
    *     +---------------------------+---------------------------+
    * 980 |         PLSPRVVN          |         PLSVPTNV          |
    *     +---------------------------+---------------------------+
    * 988 |         PLSXPGIN          |         PLSXPGOU          |
    *     +---------------------------+---------------------------+
    * 990 |         PLSPRVLG          |         PLSPRVSG          |
    *     +---------------------------+---------------------------+
    * 998 |         PLSLPSWE          |         PLS0EPSW          |
    *     +---------------------------+---------------------------+
    * 9A0 |         PLS0STFL          |         PLS0ESEA          |
    *     +---------------------------+---------------------------+
    * 9A8 |         PLSSTFLE          |         PLSPTFF           |
    *     +---------------------------+---------------------------+
    * 9B0 |         PLSESSA           |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 9B8 |///////////////////////////|///////////////////////////|
    *     +---------------------------+---------------------------+
    * 9C0 |///////////////////////////|///////////////////////////|
    *     +---------------------------+---------------------------+
    * 9C8 |///////////////////////////|         PLSXPG5A          |
    *     +---------------------------+---------------------------+
    * 9D0 |///////////////////////////|         PLSALERT          |
    *     +---------------------------+---------------------------+
    * 9D8 |         PLSALETP          |         PLSVIESB          |
    *     +---------------------------+---------------------------+
    * 9E0 |         PLSVIDTE          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 9E8 |         PLSUNKMC          |         PLSHFDAT          |
    *     +---------------------------+---------------------------+
    * 9F0 |         PLSHFLCK          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 9F8 |         PLS9CNR           |         PLS9CWT           |
    *     +---------------------------+---------------------------+
    * A00 |         PLS9CSWT          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * A08 |         PLSALECL          |         PLSALECG          |
    *     +---------------------------+---------------------------+
    * A10 |         PLSASHCL          |         PLSASHCG          |
    *     +---------------------------+---------------------------+
    * A18 |///////////////////////////////////////////////////////|
    *     =///////////////////////////////////////////////////////=
    *     |///////////////////////////////////////////////////////|
    *     +-------------------------------------------------------+
    * FD8 |///////////////////////////////////////////////////////|
    *     +---------------------------+---------------------------+
    * FE0 |         PLSFOBLO          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * FE8 |         PLSFOBHI          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * FF0 |                       PLSFOB1E                        |
    *     +-------------------------------------------------------+
    * FF8 |                       PLSFOB1T                        |
    *     +-------------------------------------------------------+
    *1000
    *
    *** PLSBK - PROCESSOR LOCAL STORAGE BLOCK

#### PLSBK Cross Reference

    Symbol         Dspl Value
    -------------- ---- -----
    PLSABNCT       0020
    PLSALECG       0A0C
    PLSALECL       0A08
    PLSALEMG       0250
    PLSALEMP       0244
    PLSALERT       09D4
    PLSALETP       09D8
    PLSALNCG       024C
    PLSALNCT       0240
    PLSASARL       0380
    PLSASFCG       025C
    PLSASFCL       0258
    PLSASHCG       0A14
    PLSASHCL       0A10
    PLSASRWK       0024
    PLSBGCNT       0268
    PLSBGCTM       0260
    PLSBISAS       0924
    PLSBISBT       0928
    PLSBISCP       0920
    PLSBISIU       0940
    PLSBISPB       092C
    PLSBISSI       0930
    PLSBISST       08F4
    PLSBISTE       0934
    PLSBISXE       0938
    PLSBISXS       093C
    PLSBKLEN       0FF8 00001000
    PLSCCWLP       05B4
    PLSCFMCK       08D4
    PLSCPSUS       0580
    PLSCTCS        0570
    PLSCTHS        0574
    PLSCTMPN       0014
    PLSCTPGN       0018
    PLSCTPGO       001C
    PLSCTRS        056C
    PLSCTSI        0578
    PLSCTSS        0568
    PLSCTUI        057C
    PLSCUHAF       0202
    PLSDGUCT       08C4
    PLSDGXAC       066C
    PLSDGXA0       0660
    PLSDGXA4       0664
    PLSDGXA8       0668
    PLSDGXBC       067C
    PLSDGXB0       0670
    PLSDGXB4       0674
    PLSDGXB8       0678
    PLSDGXCC       068C
    PLSDGXC0       0680
    PLSDGXC4       0684
    PLSDGXC8       0688
    PLSDGXDC       069C
    PLSDGXD0       0690
    PLSDGXD4       0694
    PLSDGXD8       0698
    PLSDGXEC       06AC
    PLSDGXE0       06A0
    PLSDGXE4       06A4
    PLSDGXE8       06A8
    PLSDGXFC       06BC
    PLSDGXF0       06B0
    PLSDGXF4       06B4
    PLSDGXF8       06B8
    PLSDGX0C       05CC
    PLSDGX00       05C0
    PLSDGX04       05C4
    PLSDGX08       05C8
    PLSDGX1C       05DC
    PLSDGX10       05D0
    PLSDGX14       05D4
    PLSDGX18       05D8
    PLSDGX2C       05EC
    PLSDGX20       05E0
    PLSDGX24       05E4
    PLSDGX28       05E8
    PLSDGX3C       05FC
    PLSDGX30       05F0
    PLSDGX34       05F4
    PLSDGX38       05F8
    PLSDGX4C       060C
    PLSDGX40       0600
    PLSDGX44       0604
    PLSDGX48       0608
    PLSDGX5C       061C
    PLSDGX50       0610
    PLSDGX54       0614
    PLSDGX58       0618
    PLSDGX6C       062C
    PLSDGX60       0620
    PLSDGX64       0624
    PLSDGX68       0628
    PLSDGX7C       063C
    PLSDGX70       0630
    PLSDGX74       0634
    PLSDGX78       0638
    PLSDGX8C       064C
    PLSDGX80       0640
    PLSDGX84       0644
    PLSDGX88       0648
    PLSDGX9C       065C
    PLSDGX90       0650
    PLSDGX94       0654
    PLSDGX98       0658
    PLSDG2AC       076C
    PLSDG2A0       0760
    PLSDG2A4       0764
    PLSDG2A8       0768
    PLSDG2BC       077C
    PLSDG2B0       0770
    PLSDG2B4       0774
    PLSDG2B8       0778
    PLSDG2CC       078C
    PLSDG2C0       0780
    PLSDG2C4       0784
    PLSDG2C8       0788
    PLSDG2DC       079C
    PLSDG2D0       0790
    PLSDG2D4       0794
    PLSDG2D8       0798
    PLSDG2EC       07AC
    PLSDG2E0       07A0
    PLSDG2E4       07A4
    PLSDG2E8       07A8
    PLSDG2FC       07BC
    PLSDG2F0       07B0
    PLSDG2F4       07B4
    PLSDG2F8       07B8
    PLSDG20C       06CC
    PLSDG200       06C0
    PLSDG204       06C4
    PLSDG208       06C8
    PLSDG21C       06DC
    PLSDG210       06D0
    PLSDG214       06D4
    PLSDG218       06D8
    PLSDG22C       06EC
    PLSDG220       06E0
    PLSDG224       06E4
    PLSDG228       06E8
    PLSDG23C       06FC
    PLSDG230       06F0
    PLSDG234       06F4
    PLSDG238       06F8
    PLSDG24C       070C
    PLSDG240       0700
    PLSDG244       0704
    PLSDG248       0708
    PLSDG25C       071C
    PLSDG250       0710
    PLSDG254       0714
    PLSDG258       0718
    PLSDG26C       072C
    PLSDG260       0720
    PLSDG264       0724
    PLSDG268       0728
    PLSDG27C       073C
    PLSDG270       0730
    PLSDG274       0734
    PLSDG278       0738
    PLSDG28C       074C
    PLSDG280       0740
    PLSDG284       0744
    PLSDG288       0748
    PLSDG29C       075C
    PLSDG290       0750
    PLSDG294       0754
    PLSDG298       0758
    PLSDG3AC       086C
    PLSDG3A0       0860
    PLSDG3A4       0864
    PLSDG3A8       0868
    PLSDG3BC       087C
    PLSDG3B0       0870
    PLSDG3B4       0874
    PLSDG3B8       0878
    PLSDG3CC       088C
    PLSDG3C0       0880
    PLSDG3C4       0884
    PLSDG3C8       0888
    PLSDG3DC       089C
    PLSDG3D0       0890
    PLSDG3D4       0894
    PLSDG3D8       0898
    PLSDG3EC       08AC
    PLSDG3E0       08A0
    PLSDG3E4       08A4
    PLSDG3E8       08A8
    PLSDG3FC       08BC
    PLSDG3F0       08B0
    PLSDG3F4       08B4
    PLSDG3F8       08B8
    PLSDG30C       07CC
    PLSDG300       07C0
    PLSDG304       07C4
    PLSDG308       07C8
    PLSDG31C       07DC
    PLSDG310       07D0
    PLSDG314       07D4
    PLSDG318       07D8
    PLSDG32C       07EC
    PLSDG320       07E0
    PLSDG324       07E4
    PLSDG328       07E8
    PLSDG33C       07FC
    PLSDG330       07F0
    PLSDG334       07F4
    PLSDG338       07F8
    PLSDG34C       080C
    PLSDG340       0800
    PLSDG344       0804
    PLSDG348       0808
    PLSDG35C       081C
    PLSDG350       0810
    PLSDG354       0814
    PLSDG358       0818
    PLSDG36C       082C
    PLSDG360       0820
    PLSDG364       0824
    PLSDG368       0828
    PLSDG37C       083C
    PLSDG370       0830
    PLSDG374       0834
    PLSDG378       0838
    PLSDG38C       084C
    PLSDG380       0840
    PLSDG384       0844
    PLSDG388       0848
    PLSDG39C       085C
    PLSDG390       0850
    PLSDG394       0854
    PLSDG398       0858
    PLSDIAG        05C0
    PLSDIAGT       08C0
    PLSDIAG2       06C0
    PLSDISPE       02C4
    PLSDISP1       02A4
    PLSDISP2       02B0
    PLSDORME       02B8
    PLSDORM1       0294
    PLSDORM2       02A8
    PLSDRMPE       0300
    PLSDRMP1       02D0
    PLSDRMP2       02E8
    PLSDSPCM       00BC
    PLSDSPCN       00B4
    PLSDSPCW       0098
    PLSDSPPE       0308
    PLSDSPP1       02D8
    PLSDSPP2       02F0
    PLSDSWCU       00C0
    PLSEFRC1       0204
    PLSEFRC2       0206
    PLSEFRC3       0208
    PLSELGPE       0304
    PLSELGP1       02D4
    PLSELGP2       02EC
    PLSELIGE       02BC
    PLSELIG1       02A0
    PLSELIG2       02AC
    PLSEQKAD       020A
    PLSESSA        09B0
    PLSETBEL       0202 00000002
    PLSEVNT1       0202 00000000
    PLSEVNT2       0202 00000002
    PLSEVNT3       0202 00000004
    PLSEXTNC       00A4
    PLSEXTNX       009C
    PLSFGCNT       0278
    PLSFGCTM       0270
    PLSFOBEM       0314
    PLSFOBHI       0FE8
    PLSFOBLO       0FE0
    PLSFOBTM       0318
    PLSFOB1E       0FF0
    PLSFOB1T       0FF8
    PLSFRETA       0358
    PLSFRETB       035C
    PLSFSCTA       0338
    PLSFSCTB       033C
    PLSFSPGA       0330
    PLSFSPGB       0334
    PLSFSPRA       0350
    PLSFSPRB       0354
    PLSFSSGA       0340
    PLSFSSGB       0344
    PLSFSSRA       0348
    PLSFSSRB       034C
    PLSGCLEM       026C
    PLSGIRPG       0908
    PLSHFDAT       09EC
    PLSHFLCK       09F0
    PLSIORCT       05A8
    PLSISEAC       0478
    PLSISEAS       0490
    PLSISEBL       045C
    PLSISECC       046C
    PLSISECF       0488
    PLSISECR       0480
    PLSISEID       0484
    PLSISELO       047C
    PLSISEM        0458
    PLSISEMA       0454
    PLSISEMO       0464
    PLSISERA       0460
    PLSISESC       0494
    PLSISESI       0468
    PLSISESP       0470
    PLSISESY       0474
    PLSISEVE       0498
    PLSISEVM       0550
    PLSISEVS       048C
    PLSISTAC       04CC
    PLSISTAS       04E4
    PLSISTBL       04B0
    PLSISTCC       04C0
    PLSISTCF       04DC
    PLSISTCR       04D4
    PLSISTID       04D8
    PLSISTLO       04D0
    PLSISTM        04AC
    PLSISTMA       04A8
    PLSISTMO       04B8
    PLSISTRA       04B4
    PLSISTSC       04E8
    PLSISTSI       04BC
    PLSISTSP       04C4
    PLSISTSY       04C8
    PLSISTVE       04EC
    PLSISTVM       0554
    PLSISTVS       04E0
    PLSISUAC       0520
    PLSISUAS       0538
    PLSISUBL       0504
    PLSISUCC       0514
    PLSISUCF       0530
    PLSISUCR       0528
    PLSISUID       052C
    PLSISULO       0524
    PLSISUM        0500
    PLSISUMA       04FC
    PLSISUMO       050C
    PLSISURA       0508
    PLSISUSC       053C
    PLSISUSI       0510
    PLSISUSP       0518
    PLSISUSY       051C
    PLSISUVE       0540
    PLSISUVM       0558
    PLSISUVS       0534
    PLSIUCVT       0450
    PLSKEYIE       0944
    PLSKEYIK       0948
    PLSKEYRE       094C
    PLSKEYRR       0950
    PLSKEYSE       0954
    PLSKEYSK       0958
    PLSLKDIO       0218
    PLSLKDLY       0210
    PLSLKMAX       0220
    PLSLKMOD       0228
    PLSLKOFS       022E
    PLSLKVMD       0224
    PLSLPSWE       0998
    PLSLTDPE       02FC
    PLSLTDP1       02CC
    PLSLTDP2       02E4
    PLSLTD1        027C
    PLSLTD2        0280
    PLSMCHCT       00A8
    PLSMCVMC       0904
    PLSMVABV       03A0
    PLSMVB2G       039C
    PLSNOCMP       02C8
    PLSPAGPS       0010
    PLSPASSE       02FC
    PLSPASS1       02CC
    PLSPASS2       02E4
    PLSPCPAG       0328
    PLSPCVSC       0588
    PLSPEEND       0310 00000018
    PLSPGDRD       0230
    PLSPGDWT       0234
    PLSPGIN        0384
    PLSPGMRD       0398
    PLSPGMRX       0394
    PLSPGOUT       0388
    PLSPGXRD       038C
    PLSPGXWT       0390
    PLSPIOPR       0000
    PLSPIOPW       0008
    PLSPIOSR       0004
    PLSPIOSW       000C
    PLSPNEW        0368
    PLSPPGME       0290
    PLSPPGM1       0288
    PLSPPGM2       028C
    PLSPREAD       036C
    PLSPRQDF       0364
    PLSPRVGP       095C
    PLSPRVIS       091C
    PLSPRVLC       0960
    PLSPRVLG       0990
    PLSPRVLP       0964
    PLSPRVMN       0968
    PLSPRVMO       096C
    PLSPRVMS       0970
    PLSPRVSC       090C
    PLSPRVSG       0994
    PLSPRVSV       0974
    PLSPRVTC       0978
    PLSPRVTP       097C
    PLSPRVVN       0980
    PLSPTFF        09AC
    PLSPTLCA       00D0
    PLSPTLCD       00CC
    PLSPTLCL       00C8
    PLSPTLCS       00C4
    PLSPUPAG       0360
    PLSP1END       02E0 00000018
    PLSP2END       02F8 00000018
    PLSRELES       0374
    PLSRELFR       0378
    PLSREORD       0284
    PLSRETFG       0254
    PLSRETFR       0248
    PLSRSCHC       0594
    PLSSAPUC       03C0
    PLSSAQMT       03C4
    PLSSARTC       03BC
    PLSSATKC       03B8
    PLSSBPUC       03D0
    PLSSBQMT       03D4
    PLSSBRTC       03CC
    PLSSBTKC       03C8
    PLSSCHLK       00B8
    PLSSCKPF       08DC
    PLSSHARE       02B4
    PLSSHAR1       029C
    PLSSHRPE       030C
    PLSSHRP1       02DC
    PLSSHRP2       02F4
    PLSSHRRD       0370
    PLSSIOCT       0598
    PLSSIOFC       059C
    PLSSPDQC       0438
    PLSSPFSC       03F8
    PLSSPGBD       0434
    PLSSPGCC       0404
    PLSSPGCT       0408
    PLSSPGFC       03FC
    PLSSPGFD       0430
    PLSSPGPC       0400
    PLSSPGPD       042C
    PLSSPNDF       0428
    PLSSPNDP       0424
    PLSSPRCC       0414
    PLSSPRCT       0418
    PLSSPRFC       040C
    PLSSPRPC       0410
    PLSSPRQC       041C
    PLSSPRQT       0420
    PLSSRCSS       0454
    PLSSSCHC       0590
    PLSSSDSD       0584
    PLSSTFLE       09A8
    PLSSTKCC       00E0
    PLSSTKCD       00D4
    PLSSTKCH       00F8
    PLSSTKCI       00DC
    PLSSTKCJ       00F4
    PLSSTKCM       00F0
    PLSSTKCS       00E4
    PLSSTKCW       00E8
    PLSSTKGS       00EC
    PLSSTKPE       00D8
    PLSSTLCT       00FC
    PLSSTLFR       032C
    PLSSTLWT       0238
    PLSSUPUC       03B0
    PLSSUQMT       03B4
    PLSSURTC       03AC
    PLSSUTKC       03A8
    PLSSVCCT       00AC
    PLSSXACC       03E0
    PLSSXADC       03DC
    PLSSXAFC       03F0
    PLSSXALD       03F4
    PLSSXALS       03D8
    PLSSXAQC       03E8
    PLSSXARC       03E4
    PLSSXASC       03EC
    PLSSXCSP       0444
    PLSSXIPC       043C
    PLSSXNST       0440
    PLSSXREP       0448
    PLSTCCC        05A0
    PLSTMRCE       08F0
    PLSTMRCO       0910
    PLSTRCSS       04A8
    PLSTRQCF       00B0
    PLSTRQPC       00A0
    PLSUNCSS       04FC
    PLSUNKMC       09E8
    PLSUPAGE       0320
    PLSUPREC       0298
    PLSURFTF       037C
    PLSVATCA       08EC
    PLSVATCL       08E8
    PLSVDISK       05AC
    PLSVIDTE       09E0
    PLSVIESB       09DC
    PLSVIPRC       0914
    PLSVIPRS       0918
    PLSVIXEX       0900
    PLSVIXIU       08CC
    PLSVIXLD       08C8
    PLSVIXVM       08D0
    PLSVOPIF       08FC
    PLSVPAGE       0324
    PLSVPTNV       0984
    PLSVSEVM       055C
    PLSVSTVM       0560
    PLSVSUVM       0564
    PLSVWRIT       05B8
    PLSWRUCI       08E0
    PLSWRUCP       08E4
    PLSXITCT       0090
    PLSXPGIN       0988
    PLSXPGOU       098C
    PLSXPG5A       09CC
    PLS0EPSW       099C
    PLS0ESEA       09A4
    PLS0STFL       09A0
    PLS250IR       05B0
    PLS9CNR        09F8
    PLS9CSWT       0A00
    PLS9CWT        09FC

This information is based on z/VM V6R1.0. Last updated on 18 Feb 2010 at 08:57:38 EDT.
Copyright IBM Corporation, 1990, 2008